-- All data in this file is copyrighted to the author (oscarucb), all rights reserved
local addonName, vars = ...
vars.svnrev = vars.svnrev or {}
vars.svnrev["PV_data.lua"] = tonumber(("$Revision: 457 $"):match("%d+"))

vars.VersionInfo = {
	   ["DBversion"] = 8,
	   ["DBrevision"] = tonumber(("$Revision: 457 $"):match("%d+")),
           ["clientexpansion"] = 4,
           ["clientversion"] = "5.2.0",
           ["clientbuildmin"] = "16669",
           ["clientbuildmax"] = "16769",
}

local _fakeid = 1000000
local function fakeid() 
  _fakeid = _fakeid + 1
  return _fakeid
end

local locale = GetLocale()
if locale == "enGB" then locale = "enUS" end

-- cases where the localized name on the pattern or crafted item and taught spell don't match or duplicate
-- transmutes, figurines and other minor differences like punctuation and capitalization are handled programmatically
-- array format:   
--  [recipe_itemid] = tradeskill_spellid   
--        or
--  [crafted_itemid] = tradeskill_spellid   
--        or
--  [{recipe_itemid, crafted_itemid}] = tradeskill_spellid
-- For enchants, crafted item is scroll of enchant

-- first the locale-specific exceptions
  -- [{,}] = , -- 
local Exceptions_ItoS_locale
if locale == "enUS" then Exceptions_ItoS_locale = {
  [{44498,44470}] = 60767, -- Enchant Bracer(s) - Superior Spellpower
  [{44944,44947}] = 62256, -- Enchant Bracer(s) - Major Stamina
  [{37346,38984}] = 44598, -- Enchant Bracer(s) - Expertise (pat never released - trainer pat)
  [41107] = 57021, -- Glyph of (the) Harsh Word(s)
  [43390] = 58337, -- Glyph of Drain Soul / Soul Consumption
  [44928] = 62162, -- Glyph of (the) Master Shapeshifter
  [{86354,82423}] = 125533, -- Pattern: Contender's Silk Rai(n)ment
  [{86362,82431}] = 125541, -- Pattern: Contender's Satin Rai(n)ment
  [{84208,82968}] = 122642, -- Plans: Masterwork Ligh(t)steel Shield
} elseif locale == "frFR" then Exceptions_ItoS_locale = {
  [{25910,25895}] = 32874, -- Diamant brûleciel énigmatique
  [{52426,52228}] = 73378, -- Emeraude de rve perforante
  [{41742,41335}] = 55393, -- Diamant flambeciel énigmatique
  [41339] = 55394, -- Diamant flambeciel de rapidit
  [{41705,41377}] = 55384, -- Diamant flambeciel protg
  [40087] = 53904, -- Potion de rgnration puissante (Powerful Rejuv Potion), name collision
  [57193] = 80490, -- Potion de rgnration puissante (Mighty Rejuv Potion), name collision
  [{22547,24003,38913}] = 27960, -- Ench. de plastron (Carac. puissantes), (Exceptional Stats) name collision
  [{44489,44465}] = 60692, -- Ench. de plastron (Carac. puissantes), (Powerful Stats) name collision
  [52744] = 74191, -- Ench. de plastron (Carac. puissantes), (Mighty Stats) name collision
  [43342] = 58317, -- Glyphe de l'oubli (Glyph of Fading), name collision
  [42398] = 57184, -- Glyphe d'oubli (Glyph of Fade), name collision
  [{16224,38859}] = 20015, -- Enchantement de cape (Défense excellent)
  [19027] = 23507, -- Schéma : Feu d'artifice « Explosion serpentine »
  [24173] = 31078, -- Dessin : Diadème de puissance arcanique
  [{37332,38950}] = 44483, --Formule : Enchantement de cape (Résistance au Givre supérieure
  [{19448,38883}] = 23803, -- enchantement d'arme (Esprit puissant)
  [38912] = 27958, -- enchantement de plastron (Mana exceptionnel
  [{28272,38935}] = 33997, -- enchantement de gants (Puissance des sorts majeurs)
  [{44487,44467}] = 60714, -- Parchemin d'enchantement d'arme (Puissance des sorts puissante)
  [{52364,52088}] = 73229, -- Zéphyrite stable
  [52089] = 73230, -- Zéphyrite rigide
  [{52376,52116}] = 73269, -- Fine Hessonite
  [{52402,52248}] = 73353, -- Oeil de démon intemporel
  [{52378,52119}] = 73272, -- Jaspe rgalienne
  [{52494,52485}] = 73625, -- Dessin : Monocle de joaillier en rubis
  [{52738,52778}] = 74248, -- Enchantement de brassard (Coup critique supérieur)
  [{68810,63481}] = 89815, -- Glyphe de frappe colossale
  [{64412,52782}] = 74253, -- Enchantement de bottes (Marche-lave)
  [{67068,56536}] = 78460, -- Fouet éclair
  [{67084,56551}] = 78478, -- Armure de jambe calcinécaille
  [41094] = 57033, -- Glyphe de réprimande
  [43390] = 58337, -- Glyphe de consomption d\'âme
  [{52433,52289}] = 73464, -- Dessin : Diamant ombresprit vif
  [{83811,76884}] = 107753, -- Dessin : Diamant primordial adepte
  [{83840,76890}] = 107757, -- Dessin : Diamant primordial de destruction
  [{83844,76879}] = 107759, -- Dessin : Diamant primordial brasillé
  [{83859,76887}] = 107763, -- Dessin : Diamant primordial vif
  [{83865,76568}] = 107640, -- Dessin : Héliolite cassée
  [{83886,76675}] = 107725, -- Dessin : Onyx vermillon transparent
  [{83933,83795}] = 122663, -- Dessin : Pierre sournoise de divination
  [{83969,76557}] = 107638, -- Dessin : Pierre sournoise intemporele
  [{87410,87402}] = 126852, -- Plans : Harnois de bataille du maître orné
  [{87745,77538}] = 127122, -- Schéma : Armure rétinienne spécialisée
  [93421] = 137908, -- Cape de prouesse artisanale du gladiateur effroyable (name collision)
  [93608] = 137937, -- Cape de prouesse artisanale du gladiateur effroyable (name collision)
  [{87754,87216}] = 127131, -- Enclume thermique (name collision)
  [94903] = 139196, -- Enclume thermique / Pierre (name collision)
} elseif locale == "deDE" then Exceptions_ItoS_locale = {
  [{8400,8207,72027}] = 10564, -- Muster: Feste Skorpidschultern (Tough Scorpid Shoulders)
  [{22530,38899}] = 27906, -- Groes Ausweichen (Bracer Dodge)
  [28104] = 33741, -- Elixier des Meisters (Mastery Elixer), name collision
  [58148] = 80497, -- Elixier des Meistersi (Elixer of the Master), name collision
  [40087] = 53904, -- Mchtiger Verjngungstrank (Powerful Rejuv Potion), name collision
  [57193] = 80490, -- Mchtiger Verjngungstrank (Mighty Rejuv Potion), name collision
  [{3609,3471}]  = 3321,   -- Kupferne Kettenweste -> Kupferkettenweste (Copper Chain Vest)
  [{6672,4852}]  = 8243,   -- Bauplan: Blitzbombe -> Blitzstrahlbombe (Flash Bomb)
  [{22554,38919}] = 27971, -- Zweihandwaffe - Unbndigkeit (Enchant 2H Weapon Savagery)
  [{22558,38926}] = 28003, -- Waffe - Zauberflut (Enchant Weapon - Spellsurge)
  [{25869,25867}] = 32765, -- Erdsturmdiamanten transmutieren / Erdsturmdiamant (Earthstorm Diamond)
  [{25870,29232,25868}] = 32766, -- Himmelsfeuerdiamanten transmutieren / Himmelsfeuerdiamant (Skyfire Diamond - Faction-specific)
  [{25906,25899}] = 32869, -- Brutaler Erdsturmdiamant / Grober Erdsturmdiamant (Brutal Earthstorm)
  [{28271,38932}] = 33994, -- Handschuhe - Przise Ste / Przise Schlge (Enchant Gloves - Precise Strikes)
  [{29701,29497}] = 35534, -- Verzauberte Grollschuppenstiefe (Enchanted Clefthoof Boots)
  [{34872,22449}] = 45765, -- Formel: Brechung der Leere
  [{35697,35700}] = 46777, -- Vorlage: Figur - Scharlachrote Schlange
  [{35212,34372}] = 46132, -- Lederstulpen der Sonne (Leather Gauntlets of the Sun)
  [{35498,38998}] = 46578, -- Waffe - Todesklte (Enchant Weapon - Deathfrost)
  [38679] = 7418,  -- Armschienenverzauberung - Geringe Gesundheit (Enchant Bracer - Minor Health)
  [38985] = 44612, -- Handschuhverzauberung - Groe Zauberwucht (Enchant Gloves - Greater Blasting)
  [{43318,43251}] = 58148, -- Ring des scharlachroten Schattens / Ring der scharlachroten Schatten (Ring of Scarlet Shadows)
  [{44494,38972}] = 44576, -- Formel: Waffe - Lebenswchter / Lebensschutz (Enchant Weapon - Lifeward)
  [{44495,43987}] = 59625, -- Waffe - Schwarzmagie (Enchant Weapon Black Magic)
  [44946] = 62257, -- Waffe - Titanwchter (Titanguard, unreleased)
  [{49958,49894}] = 70555, -- Gesegnete Cenarionstiefel (Blessed Cenarion Boots)
  [{52733,52774}] = 74242, -- Waffe - Machststrom (Enchant Weapon - Power Torrent)
  [{66117,55071}] = 76456, -- Blutige Pyriumarmschienen (Bloodied Pyrium Bracers)
  [{66130,55084}] = 76470, -- Verzierte Pyriumbeinschtzer (Ornate Pyrium Legguards)
  [{67042,70030}] = 78444, -- Muster: Butrnstige Wyrmbalgarmschienen (Bloodthirsty Wyrmhide Bracers)
  [{67541,54451}] = 75289, -- Zylinder der oberen Zehntausend (High Society Top Hat)
  [{71965,52489}] = 73623, -- Vorlage: Strassbesetzte Sonnenbrille (Rhinestone Sunglasses)
  [{83916,83802}] = 122669, -- Vorlage: Spiegelung des Meeres
  [{83979,76545}] = 107667, -- Vorlage: Eigenwilliger Chiatolith
  [{84149,72104}] = 114780, -- Rezept: Lebendigen Stahl transmutieren
  [{84557,74705}] = 104391, -- [Enchant Bracer - Greater Agility]
  [{84558,74701}] = 104385, -- [Enchant Bracer - Major Dodge]
  [{84559,74703}] = 104389, -- [Enchant Bracer - Super Intellect]
  [{84560,74700}] = 104338, -- [Enchant Bracer - Mastery]
  [{84561,74704}] = 104390, -- [Enchant Bracer - Exceptional Strength]
  [42904] = 57001,  -- Glyphe 'Rckzug' (Glyph of Disengage)
  [87896] = 124463, -- Glyphe 'Rckzug' (Glyph of Retreat)
  [43390] = 58337, -- Glyphe \'Seelenverzehrung\'
  [41107] = 57021, -- Glyphe \'Mahnende Worte\'
  [42398] = 57184, -- Glyphe \'Verblassen\'
  [79514] = 124461, -- Glyph of Shadow Word: Death
  [79515] = 124460, -- Glyph of Vampiric Embrace
  [79538] = 124466, -- Glyph of the Heavens
  [93488] = 137851, -- Hergestellter Grausamkeitstaillenschutz des schrecklichen Gladiators (name collision)
  [93589] = 137877, -- Hergestellter Grausamkeitstaillenschutz des schrecklichen Gladiators (name collision)
  [{95470,95469}] = 140050, -- Design: Serpent\'s Heart
} elseif locale == "koKR" then Exceptions_ItoS_locale = {
  [38806] = 13635, -- Enchant Cloak - Defense (name collision)
  [52763] = 74229, -- Enchant Bracer - Superior Dodge (name collision)
  [40087] = 53904, -- Powerful Rejuv Potion (name collision)
  [42966] = 57125, -- Glyph of Gouge (name collision)
  [43827] = 59340, -- Glyph of Death Strike (name collision)
  [38371] = 50964, -- Jormungar Leg Armor (name collision)
  [38403] = 50947, -- Arctic Gloves (name collision)
  [{67084,56551}] = 78478, -- Charscale Leg Armor (name collision)
  [fakeid()] = 60584, -- Nerubian Leg Reinforcements (name collision)
  [34763] = 45564, -- Smoked Salmon (name collision)
  [42397] = 57183, -- Glyph of Purify
  [{35505,35503}] = 46601, -- Design: Ember Skyfire Diamond (ember misnamed in spell)
  [{41706,41333}] = 55392, -- Design: Ember Skyflare Diamond
  [{52439,52296}] = 73470, -- Design: Ember Shadowspirit Diamond
  [{84563,74706}] = 104392, -- [Formula: Enchant Chest - Super Resilience]
  [{28270,38930}] = 33992, -- [Formula: Enchant Chest - Major Resilience]
  [{4292,4241}] = 3758, -- Pattern: Green Woolen Bag
  [{18731,18662}] = 23190, -- Pattern: Heavy Leather Ball
  [{35218,34369}] = 46138, -- Pattern: Carapace of Sun and Shadow
  [{84558,74701}] = 104385, -- [Enchant Bracer - Major Dodge]
  [43380] = 58328, -- Glyph of Poisons
  [43390] = 58337, -- Glyph of Soul Consumption
  [{50166,50045}] = 71101, -- Glyph of Counterspell
  [{68810,63481}] = 89815, -- Glyph of Colossus Smash
  [38951] = 44484, -- Enchant Gloves - Expertise
  [38989] = 44623, -- Enchant Chest - Super Stats
} elseif locale == "ruRU" then Exceptions_ItoS_locale = {
  [38829] = 13822, -- Enchant Bracer - Intellect (name collision)
  [38968] = 44555, -- Enchant Bracer - Exceptional Intellect (name collision)
  [43369] = 58316, -- Glyph of Justice (name collision)
  [41092] = 57030, -- Glyph of Judgement (name collision)
  [68776] = 96253, -- Quicksilver Alchemist Stone (ticket 53: real hash coll?)
  [38971] = 60616, -- Enchant Bracer - Assault (hash collision)
  [{11163,38811}] = 13646, -- Enchant Bracer - Lesser Dodge (hash collision)
  -- scrolls with different roman numeral suffixes
  [38777] = 7779, -- [Enchant Bracer - Minor Agility]
  [{11081,38791}] = 13464, -- [Enchant Shield - Lesser Protection]
  [{22530,38899}] = 27906, -- [Enchant Bracer - Greater Dodge]
  [{22539,38905}] = 27945, -- [Enchant Shield - Intellect]
  [38914] = 27961,  -- Enchant Cloak - Major Armor (wrong roman suffix)
  [38928] = 33990, -- [Enchant Chest - Major Spirit]
  [{35500,38999}] = 46594, -- [Enchant Chest - Dodge]
  [{44471,39001}] = 47672, -- [Enchant Cloak - Mighty Stamina]
  [{44484,44815}] = 44575, -- [Enchant Bracer - Greater Assault]
  [45628] = 63746, -- [Enchant Boots - Lesser Accuracy]
  -- Most of these are caused by minor differences in Russian word suffixes:
  [{12958,12360}] = 17187, -- Transmute Arcanite
  [{20761,7068}]  = 25146, -- Transmute Elemental Fire
  [{21940,21756}] = 26873, -- Golden Hare
  [{21941,21758}] = 26875, -- Black Pearl Panther
  [{21943,21760}] = 26881, -- Truesilver Crab
  [{21949,21769}] = 26900, -- Ruby Serpent
  [{21953,21777}] = 26909, -- Emerald Owl
  [{21955,21784}] = 26912, -- Black Diamond Crab
  [{21956,21789}] = 26914, -- Dark Iron Scorpid
  [{24180,31358,24125}] = 31080, -- Dawnstone Crab (alliance/horde pat)
  [{24181,24126}] = 31081, -- Living Ruby Serpent
  [{24182,24127}] = 31082, -- Talasite Owl
  [{24183,24128}] = 31083, -- Nightseye Panther
  [{25869,25867}] = 32765, -- Earthstorm Diamond
  [{25870,29232,25868}] = 32766, -- Skyfire Diamond (alliance/horde pat)
  [{69972,69950}] = 99456, -- Footwraps of Quenched Fire
  [{70167,70156}] = 99653, -- Masterwork Elementium Spellblade
  [{72000,71981}] = 101920, -- World Mender's Pants
  [{72003,71990}] = 101922, -- Dreamwraps of the Light
  -- mop conflicts:
  [{87746,77539}] = 127123, -- Schematic: Reinforced Retinal Armor
  [{86374,82443}] = 125553, -- Pattern: Cerulean Spellthread
  [{84558,74701}] = 104385, -- Enchant Bracer - Major Dodge
  [89737] = 130758, -- Enchant Shield - Greater Parry
  [41107] = 57021, -- Glyph of Harsh Words
  [43390] = 58337, -- Glyph of Soul Consumption
  [44928] = 62162, -- Glyph of Master Shapeshifter
  [{86354,82423}] = 125533, -- Pattern: Contender\'s Silk Raiment
  [{86362,82431}] = 125541, -- Pattern: Contender\'s Satin Raiment
  -- mop transmutes with minor difference in word suffixes:
  [{84125,76142}] = 114778, -- Recipe: Transmute Sun\'s Radiance
  [{84126,76140}] = 114776, -- Recipe: Transmute Vermilion Onyx
  [{84148,76141}] = 114777, -- Recipe: Transmute Imperial Amethyst
  [{84149,72104}] = 114780, -- Recipe: Transmute Living Steel
  [{84150,76132}] = 114781, -- Recipe: Transmute Primal Diamond
  [{84151,76131}] = 114784, -- Recipe: Transmute Primordial Ruby
  [{84152,76138}] = 114766, -- Recipe: Transmute River\'s Heart
  [{84153,72095}] = 114783, -- Recipe: Transmute Trillium Bar
  [{84154,76139}] = 114767, -- Recipe: Transmute Wild Jade
  [52767] = 74234, -- [Enchant Cloak - Protection]
  [74711] = 104401, -- [Enchant Cloak - Greater Protection]
  [{83961,76637}] = 106948, -- Design: Stormy River\'s Heart
} elseif locale == "esES" then Exceptions_ItoS_locale = {
  [{8029,7943}] = 9997, -- Diseño: hoja de mitril maligna
  [{13946,13932}] = 18244, -- Receta: salmón escama de sol pochado
  [39005] = 47900, -- Pergamino de Encantar pechera: súper salud
  [38827] = 13815, -- Encantar guantes: agilidad (Enchant Gloves - Agility), name collision
  [fakeid()] = 74216, -- Encantar guantes: agilidad (Enchant Ring - Agility), name collision
  [{2598,2572}] = 2389,  -- toga de lino rojo (Red Linen Robe)
  [{6044,6042}] = 7221,  -- escudo con punta de hierro (Iron Shield Spike)
  [{6329,6316}] = 7754,  -- delicia de furia de Loch Modan (Loch Frenzy Delight)
  [{6349,38781}] = 7793, -- encantar arma de 2M: intelecto inferior (2H weapon lesser intellect)
  [{21915,21872}] = 26759, -- Patrn: bolsa de Sombra de bano
  [{23634,23546}] = 29697, -- gran maza endurecida vil (Fel Hardened Maul)
  [{24160,24082}] = 31055, -- sortija de korio del inferno (Khorium Inferno Band)
  [{24295,24276}] = 31433, -- hilo de hechizo dorado (Golden Spellthread)
  [{27688,27655}] = 33284, -- perrito de devastador (Ravager Dog)
  [{29730,29512}] = 35567, -- botas de escamas abisales de terrneo (Earthen Netherscale Boots)
  [{30307,30045}] = 36358, -- botas de halcn carmes (Boots of the Crimson Hawk)
  [{35192,35184}] = 46110, -- gafas armonizadas con primordial (Primal-Attuned Goggles)
  [{35193,34355}] = 46112, -- gafas de grabados de relmpagos (Lightning Etched Specs)
  [38986] = 60623, -- caminante del hielo (Icewalker)
  [{43029,43004}] = 57435, -- aperitivos para alimaas (Critter Bites)
  [{43505,43478}] = 58527, -- festn gigantesco (Gigantic Feast)
  [{44483,44463}] = 60691, -- arma de 2M: masacre (2H weapon massacre)
  [44563] = 57701, -- forro de pelaje de resistencia a lo Arcano (Fur Lining Arcane Resist)
  [{45089,45559}] = 63188, -- botas de placas de seor de batalla (Battlelord's Plate Boots)
  [49112] = 68253, -- fragmento de pesadilla (Nightmare Tear)
  [{65408,62673}] = 88017, -- cebo con plumas (feathered lure)
  [{66105,55059}] = 76444, -- faja de elementium endurecida (Hardened Elementium Girdle)
  [{66130,55084}] = 76470, -- leotardos de pirium ensangrentados (Bloodied Pyrium Legguards)
  [{66122,55076}] = 76462, -- Diseño: leotardos de pirium ensangrentados
  [{67084,56551}] = 78478, -- armadura para pierna de escamas de carbn (Charscale Leg Armor)
  [{67603,67602}] = 94718, -- cercenatripas de elementium (Elementium Gutslicer)
  [{69959,69938}] = 99441, -- Diseo: guanteletes de llamas sagradas (Holy Flame Gauntlets)
  [{71911,71846}] = 101767, -- Boceto: coral de lava de adepto (hash collision)
  [{71908,71843}] = 101764, -- Boceto: coral de lava con inscripciones
  [{72001,71982}] = 101924, -- Diseo: quijotes de pirium de maldad purificada
  [{72016,71993}] = 101932, -- Diseo: muequeras de placas con proteccin de titanes
  [{83956,76532}] = 107663, -- Boceto: palo tigre de adepto (Design: Stalwart Tiger Opal)
  [{83809,76538}] = 107645, -- Boceto: palo tigre adepto (Design: Adept Tiger Opal)
  [{83810,76670}] = 107715, -- Boceto: nice bermelln de adepto (Design: Adept Vermilion Onyx)
  [{83957,76664}] = 107733, -- Boceto: nice bermelln adepto (Design: Stalwart Vermilion Onyx)
  [{22540,38906}] = 27946, -- [Encantar escudo: parada]
  [{64411,52781}] = 74252, -- [Encantar botas: pasos del asesino]
  [{84566,74711}] = 104401, -- [Encantar capa: protección superior]
  [45753] = 64280, -- Glifo de Dispersin (Glyph of Dispersion)
  [42914] = 57011, -- Glifo de Dispersin (Glyph of Scattering)
  [89868] = 131152, -- Glifo del guepardo
  [41107] = 57021, -- Glifo de Duras palabras
  [43390] = 58337, -- Glifo de Consumo de alma
  [{84186,82960}] = 122633, -- Diseño: llave de esqueleto fantasma
  [{86285,85559}] = 124628, -- Patrón: refuerzo de armadura de sha
  [{86354,82423}] = 125533, -- Patrón: vestiduras de seda de contendiente
  [{86362,82431}] = 125541, -- Patrón: vestiduras de satén de contendiente
  [{87751,86607}] = 127128, -- Esquema: lanzallamas goblin, versión 2
} elseif locale == "ptBR" then Exceptions_ItoS_locale = {
  [40079] = 53899, -- Lesser Flask of Toughness (hash collision)
  [34440] = 45061, -- Mad Alchemist's Potion (hash collision)
  [45753] = 64280, -- Glifo de Dispersao (Glyph of Dispersion)
  [42914] = 57011, -- Glifo de Dispersao (Glyph of Scattering)
  [{2601,2585}] = 2403, -- Molde: Veste de L Cinza
  [{4624,4623}] = 4942, -- Receita: Poo de Escudoptreo Inferior
  [{5643,5633}] = 6618, -- Receita: Poo Grandiosa de Raiva
  [{5772,5763}] = 6688, -- Molde: Bolsa de L Vermelha
  [{6270,6240}] = 7630, -- Molde: Colete de Linho Azul
  [{6271,6239}] = 7629, -- Molde: Colete de Linho Vermelho
  [{6272,6242}] = 7633, -- Molde: Veste de Linho Azul
  [{6330,4593}] = 7755, -- Receita: Bagre de Bigode Cerdoso
  [{12838,12784}] = 16994, -- Instrues: Retalhador de Arcanita
  [{12839,12783}] = 16995, -- Instrues: Acerta-peito
  [{13490,13455}] = 17570, -- Receita: Poo de Escudoptreo Maior
  [{15730,15047}] = 19054, -- Molde: Peitoral de Escama de Drago Vermelh(oa)
  [{22309,22249}] = 27660, -- Molde: Grande Bolsa de Encantamentos
  [{37340,38975}] = 44588, -- Encantamento Maior de Resilincia - Torso
  [{37345,38964}] = 44513, -- Frmula: Encantamento Maior de Ataque - Luvas
  [40913] = 56955, -- Glifo de Rejuvenescimento
  [41101] = 57019, -- Glifo de Escudo Focalizado
  [42955] = 57113, -- Glifo de Emboscar
  [43331] = 58288, -- Glifo de Florescer
  [43365] = 58311, -- Glifo de Contemplação
  [43390] = 58337, -- Glifo de Consumição da Alma
  [43395] = 58342, -- Glifo de Grito Místico
  [44922] = 56965, -- Glifo de Cinturão Estelar
  [45741] = 64277, -- Glifo de Sinalizador de Luz
  [45745] = 64305, -- Glifo de Súplica Divina
  [45756] = 64282, -- Glifo de Contrição
  [45776] = 64262, -- Glifo de Fúria Xamanística
  [{44490,44469}] = 60763, -- Frmula: Encantamento Maior de Assalto  Botas
  [{41582,41785,41796,40044}] = 53980, -- Desenho: Opala-do-crepúsculo Irisado
  [{41696,41782,40100}] = 54009, -- Desenho: Esmeralda-da-floresta Fulgurante
  [{46909,46907,40177}] = 66439, -- Desenho: Olho-de-zul Fulgurante
  [{65412,62651}] = 88028, -- Receita: Tocaie(i)ro Mal Passado
  [{66098,55052}] = 76437, -- Plans: Obsidium Executioner
  [{66106,55060}] = 76445, -- Plans: Elementium Deathplate
  [{66112,55066}] = 76451, -- Plans: Elementium Poleaxe
  [{67083,56549}] = 78476, -- Pattern: Twilight Dragonscale Cloak
  [{67538,65891}] = 93328, -- Receita: Ampola das Areias
  [{69963,69943}] = 99447, -- Molde: Luvas Celestiais da Lua
  [{69972,69950}] = 99456, -- Molde: Palmilhas do Fogo Apagado
  [{69975,69953}] = 99459, -- Molde: Chancas do Sonho Eterno
  [{70171,70163}] = 99657, -- Instruções: Guardião Inquebrável
  [{70172,70164}] = 99658, -- Instruções: Adaga Mortal de Elemêntio Magistral
  [{70173,70165}] = 99660, -- Instruções: Ceifador(a) do Caçador de Bruxas
  [{52373,52110}] = 73263,  -- Desenho: Hessonita Potente ??
  [{68359,68356}] = 95754,  --  Desenho: Topzio Incandescente Arisco
  [{71900,71835}] = 101756, -- Desenho: Peridoto lfico Rgio ??
  [fakeid()] = 109077, -- Lanador de Fogos de Artifcio (conflicts with 26442, fireworks launcher)
  [{87745,77538}] = 127122, -- Diagrama: Armadura Retinal Especializada
  [{87746,77539}] = 127123, -- Diagrama: Armadura Retinal Reforçada
  [85698] = 124454, -- Glifo de Flor Cospe-fogo
  [85699] = 124455, -- Glifo de Névoa Ascendente
  [87902] = 127625, -- Glifo de Nascente de Luz
  [{37337,38987}] = 44616, -- [Enchant Bracer - Greater Stats]
  [68134] = 95471, -- [Enchant 2H Weapon - Mighty Agility]
  [{84558,74701}] = 104385, -- [Enchant Bracer - Major Dodge]
  [{84569,74712}] = 104403, -- [Enchant Cloak - Superior Intellect]
  [{84570,74720}] = 104417, -- [Enchant Gloves - Superior Expertise]
  [{84127,76094}] = 114751, -- Receita: Rejuvenescer do Alquimista
  [{85505,85504}] = 124032, -- Receita: Fritada de Krasarang
  [{86246,85795}] = 124615, -- Molde: Coxotes de Escama de Dragão do Combatente
  [{86354,82423}] = 125533, -- Molde: Vestes de Seda do Competidor
  [{86362,82431}] = 125541, -- Molde: Veste de Cetim do Competidor
  [{86368,82437}] = 125547, -- Molde: Grã-veste do Torce-feitiços
  [{86380,86313}] = 125559, -- Molde: Luvas de Seda Imperial
  [{90531,86599}] = 131928, -- Instruções: Espigão de Escudo de Ferro Fantasmagórico
  [89674] = 130658, -- Ametista Imperial Macia (renamed cut)
  [95366] = 139760, -- Treinamento de Projeto: Panela de Ferro Fantasma (name collision)
  [95485] = 140167, -- Treinamento de Projeto: Panela de Ferro Fantasma (name collision)
  [93202] = 135561, -- Glifo de Harmonização com Portal
} elseif locale == "zhCN" then Exceptions_ItoS_locale = {
  -- hash conflicts
  [{13308,4386}] = 3957, -- Ice Deflector
  [38833] = 13858, -- Enchant Chest Superior Health
  [22664] = 28222, -- Icy Scale Breastplate
  [42398] = 57184, -- Glyph of Fade
  [42739] = 56975, -- Glyph of Combustion
  [42959] = 57117, -- Glyph of Recuperate
  [42962] = 57121, -- Glyph of Expose Armor
  [42969] = 57128, -- Glyph of Rupture
  [42898] = 56995, -- Glyph of Camouflage
  [45764] = 64286, -- Glyph of Stealth
  [41515] = 55903, -- Frostwoven Robe
  [44211] = 55904, -- Frostwoven Gloves
  [22669] = 28242, -- Icebane Breastplate
  [{52382,52122}] = 73275, -- Design: Piercing Jasper (spellname ambiguity)
  [{52388,52127}] = 73280, -- Design: Zen Jasper
  [79257] = 112045, -- Runescroll of Fortitude III
  [74247] = 116498, -- Ethereal Shard
  [{83788,82976}] = 122650, -- Plans: Ghost Reaver\'s Gauntlets
  -- transmutes whose spellname is nothing like the recipe
  [{9305,6037}] = 11480, -- Recipe: Transmute Mithril to Truesilver
  [{22918,22451}] = 28569, -- Recipe: Transmute Primal Water to Air
  [{22915,21884}] = 28566, -- Recipe: Transmute Primal Air to Fire
  [{22916,21885}] = 28567, -- Recipe: Transmute Primal Earth to Water
  [{22917,30443,22452}] = 28568, -- Recipe: Transmute Primal Fire to Earth
  -- misc recipe name failures
  [{728,733}] = 2543, -- Recipe: Westfall Stew
  [{3612,3485}] = 3336, -- Plans: Green Iron Gauntlets
  [{3678,3662}] = 3370, -- Recipe: Crocolisk Steak
  [{3734,3726}] = 3397, -- Recipe: Big Bear Steak
  [{3830,3825}] = 3450, -- Recipe: Elixir of Fortitude
  [{5484,5474}] = 6414, -- Recipe: Roasted Kodo Meat
  [{6039,6038}] = 7213, -- Recipe: Giant Clam Scorcho
  [{6710,6709}] = 8322, -- Pattern: Moonglow Vest
  [{12718,12613}] = 16731, -- Plans: Runic Breastplate
  [{12824,12776}] = 16973, -- Plans: Enchanted Battlehammer
  [{12830,12782}] = 16985, -- Plans: Corruption
  [{13476,13442}] = 17552, -- Recipe: Mighty Rage Potion
  [{14468,14046}] = 18405, -- Pattern: Runecloth Bag
  [{15751,15048}] = 19077, -- Pattern: Blue Dragonscale Breastplate
  [{15753,15056}] = 19079, -- Pattern: Stormshroud Armor
  [{15758,15063}] = 19084, -- Pattern: Devilsaur Gauntlets
  [{15763,15049}] = 19089, -- Pattern: Blue Dragonscale Shoulders
  [{17200,17197}] = 21143, -- Recipe: Gingerbread Cookie
  [{18418,18413}] = 22870, -- Pattern: Cloak of Warding
  [{18592,17193}] = 21161, -- Plans: Sulfuron Hammer
  [{18650,18588}] = 23069, -- Schematic: EZ-Thro Dynamite II
  [{18652,18634}] = 23077, -- Schematic: Gyrofreeze Ice Reflector
  [{18654,18645}] = 23096, -- Schematic: Gnomish Alarm-o-Bot
  [{21913,21871}] = 26758, -- Pattern: Frozen Shadoweave Robe
  [{22774,22756}] = 28480, -- Pattern: Sylvan Vest
  [{23632,23543}] = 29695, -- Plans: Felsteel Reaper
  [{24173,24123}] = 31078, -- Design: Circlet of Arcane Might
  [{30306,30039}] = 36357, -- Pattern: Boots of Utter Darkness
  [{31401,31398}] = 38503, -- Design: The Frozen Eye
  [{31680,31679}] = 38960, -- Recipe: Fel Strength Elixir
  [{41705,41377}] = 55384, -- Design: Shielded Skyflare Diamond
  [{21723,44917,21542}] = 26407, -- Pattern: Festival Suit
  [{46108,45854}] = 64051, -- Technique: Rituals of the New Moon
  [{49963,49896}] = 70559, -- Pattern: Earthsoul Boots
  [{54594,75072}] = 75307, -- Pattern: Vicious Embersilk Pants
  [{54601,54504}] = 75298, -- Pattern: Belt of the Depths
  [{66082,55031}] = 76269, -- Plans: Redsteel Helm
  [{66088,55037}] = 76286, -- Plans: Stormforged Shoulders
  [41096] = 57022, -- Glyph of Divine Protection
  [41106] = 57029, -- Glyph of Divine Favor
  [41529] = 57237, -- Glyph of Fire Elemental Totem
  [41541] = 57251, -- Glyph of Water Shield
  [42456] = 57260, -- Glyph of Bane of Agony
  [43359] = 58306, -- Glyph of Conjuring
  [43372] = 58321, -- Glyph of Shadow Protection
  [45623] = 64256, -- Glyph of Barkskin
  [63416] = 95710, -- Glyph of Armors
  [18260] = 22750, -- Formula: Enchant Weapon - Healing Power
  [16247] = 20030, -- Formula: Enchant 2H Weapon - Superior Impact
  [16254] = 20032, -- Formula: Enchant Weapon - Lifestealing
  [19447] = 23802, -- Formula: Enchant Bracer - Healing Power
  [22532] = 27913, -- Formula: Enchant Bracer - Restore Mana Prime
  [22544] = 27951, -- Formula: Enchant Boots - Dexterity
  [{11206,71714}] = 13882, -- Formula: Enchant Cloak - Lesser Agility
  [{11151,78343}] = 13617, -- Formula: Enchant Gloves - Herbalism
  [11098] = 13522, -- Formula: Enchant Cloak - Lesser Shadow Resistance
  [11207] = 13898, -- Formula: Enchant Weapon - Fiery Weapon
  [11224] = 13933, -- Formula: Enchant Shield - Frost Resistance
  [11226] = 13947, -- Formula: Enchant Gloves - Riding Skill
} elseif locale == "zhTW" then Exceptions_ItoS_locale = {
  -- hash conflicts
  [67484] = 94402, -- Glyph of Lacerate
  [58148] = 80497, -- Elixer of the Master
  -- misc naming failures
  [63416] = 95710, -- Glyph of Armors
  [42898] = 56995, -- Glyph of Camouflage
  [43356] = 58298, -- Glyph of Scare Beast
  [43359] = 58306, -- Glyph of Conjuring
  [45764] = 64286, -- Glyph of Stealth
  [87901] = 112458, -- Glyph of Uplift
  [41097] = 57028, -- Glyph of Templar\'s Verdict
  [41104] = 57020, -- Glyph of Final Wrath
  [42456] = 57260, -- Glyph of Verdant Spheres
  [42914] = 57011, -- Glyph of Scattering
  [42961] = 57120, -- Glyph of Debilitation
  [43390] = 58337, -- Glyph of Soul Consumption
  [43547] = 57220, -- Glyph of Enduring Infection
  [43825] = 59338, -- Glyph of Unholy Command
  [85695] = 124451, -- Glyph of Zen Meditation
  [87392] = 126800, -- Glyph of Shadowy Friends
  [{23135,23098}] = 28910, -- [Inscribed Flame Spessarite]
  [{24213,24058}] = 31106, -- [Inscribed Noble Topaz]
  [{41818,40058}] = 53994, -- [Accurate Twilight Opal]
  [{52364,52088}] = 73229, -- [Stormy Zephyrite]
  [{52367,52099}] = 73244, -- [Guardian\'s Nightstone]
  [{52371,52108}] = 73260, -- [Inscribed Hessonite]
  [{52373,52110}] = 73263, -- [Potent Hessonite]
  [{52438,52295}] = 73469, -- [Effulgent Shadowspirit Diamond]
  [{68359,68356}] = 95754, -- [Willful Ember Topaz]
  [{71907,71842}] = 101763, -- [Potent Lava Coral]
  [{86374,82443}] = 125553, -- Pattern: Cerulean Spellthread
  [38775] = 7771, -- [Enchant Cloak - Minor Protection]
  [38790] = 13421, -- [Enchant Cloak - Lesser Protection]
  [{11081,38791}] = 13464, -- [Enchant Shield - Lesser Protection]
  [{11168,38820}] = 13689, -- [Enchant Shield - Lesser Parry]
  [38960] = 44506, -- [Enchant Gloves - Gatherer]
  [{44496,44497}] = 59619, -- [Enchant Weapon - Accuracy]
  [{50406,50816}] = 71692, -- [Enchant Gloves - Angler]
  [52748] = 74197, -- [Enchant Weapon - Avalanche]
  [52768] = 74235, -- [Enchant Off-Hand - Superior Intellect]
  [{84554,74715}] = 104407, -- [Enchant Boots - Greater Haste]
  [{84555,74716}] = 104408, -- [Enchant Boots - Greater Precision]
  [{84553,74717}] = 104409, -- [Enchant Boots - Blurred Speed]
  [{84556,74718}] = 104414, -- [Enchant Boots - Pandaren\'s Step]
} elseif locale == "itIT" then Exceptions_ItoS_locale = {
  [90397] = 131688, -- Wild Jade Research
  [41107] = 57021, -- Glyph of Harsh Words
  [43390] = 58337, -- Glyph of Soul Consumption
  [45771] = 64288, -- Glyph of Feral Spirit
  [77101] = 107907, -- Glyph of Shadow
  [85696] = 124452, -- Glyph of Renewing Mists
  [79514] = 124461, -- Glyph of Shadow Word: Death
  [79515] = 124460, -- Glyph of Vampiric Embrace
  [79538] = 124466, -- Glyph of the Heavens
  [52768] = 74235, -- [Enchant Off-Hand - Superior Intellect]
  [{84565,74709}] = 104397, -- [Enchant Chest - Superior Stamina]
}
end

-- then the locale-independent stuff
vars.Exceptions_ItoS = {

  -- misc misspellings (language-independent)
  [{21737,44918,21570}] = 26443, -- (Firework) Cluster Launcher, multiple recipes
  [{50168,50077}] = 71102, -- Glyph of Quick Decay / Glyph of Lash of Pain
  [42417] = 57202, -- Glyph of Prayer of Mending / Glyph of Spirit of Redemption
  [45760] = 64259, -- Glyph of Desperation / Glyph of Pain Suppression
  [{16248,38872}] = 20033, -- Enchant Weapon - Unholy (Weapon)
  [{44473,38981}] = 44595, -- Enchant (2H) Weapon - Scourgebane
  [43339] = 58303, -- Glyph of Arcane Intellect / Brilliance
  [44455] = 60653, -- Shield Enchant - Intellect III (name never updated on several locales)
  [{87751,86607}] = 127128, -- Schematic: Goblin Flame Thrower, Mark II
  [{86239,85851}] = 124635, -- Pattern: Cloak of the Mists

  -- misc name collisions to disambiguate
  [42457] = 57261, -- Glyph of Death Coil, Warlock (crafted itemid - no pat)
  [45804] = 64266, -- Glyph of Death Coil, DK (crafted itemid - no pat)
  [40906] = 56960, -- Glyph of Stampede, Druid 
  [43356] = 58298, -- Glyph of Stampede, Hunter
  [{47020,47023,40150,40159}] = 66584, -- Deft Ametrine, this pattern has been a mess since wrath
  [41544] = 55924, -- Duskweave Boots, conflicts with an unreleased recipe (crafted itemid - no pat)
  [41112] = 56465, -- Mechanized Snow Goggles (cloth)
  [44740] = 61481, -- Mechanized Snow Goggles (leather)
  [44741] = 61482, -- Mechanized Snow Goggles (mail)
  [44742] = 61483, -- Mechanized Snow Goggles (plate) 
  [{90470,82774}] = 131897, -- Jade Owl (pet)
  [21748] = 26872, -- Figurine: Jade Owl
  [{80585,85716}] = 112265, -- Glyph of (the) Righteous Retreat, duplicate glyph items

  -- cata
  [63276] = 86654, -- Forged Documents (Horde, fake itemid)
  [62056] = 89244, -- Forged Documents (Alliance, fake itemid)

  -- faction-specific thanksgiving recipes, with faction-specific trade spells
  -- that become a faction-independent crafted item RAWWWRRRR! (screw blizzard)
  [{46805,44840}] = 66035, -- cranberry chutney
  [{44858,44840}] = 62049, -- cranberry chutney
  [{46807,44838}] = 66037, -- slow roasted turkey 
  [{44861,44838}] = 62045, -- slow roasted turkey 
  [{46803,44837}] = 66038, -- spice bread stuffing
  [{44860,44837}] = 62050, -- spice bread stuffing
  [{44859,44839}] = 62051, -- candied sweet potato
  [{46806,44839}] = 66034, -- candied sweet potato  
  [{46804,44836}] = 66036, -- pumpkin pie
  [{44862,44836}] = 62044, -- pumpkin pie  

  -- ToC patterns, faction specific
  [{47654,47585}] = 67079, -- Bejeweled Wizard's Bracers
  [{47639,47586}] = 67145, -- Bejeweled Wizard's Bracers
  [{47629,47579}] = 67081, -- Black Chitin Bracers
  [{47646,47580}] = 67137, -- Black Chitin Bracers
  [{47635,47581}] = 67087, -- Bracers of Swift Death
  [{47647,47582}] = 67139, -- Bracers of Swift Death
  [{47622,47591}] = 67091, -- Breastplate of the White Knight
  [{47640,47592}] = 67130, -- Breastplate of the White Knight
  [{47631,47576}] = 67083, -- Crusader's Dragonscale Bracers
  [{47648,47577}] = 67143, -- Crusader's Dragonscale Bracers
  [{47630,47595}] = 67082, -- Crusader's Dragonscale Breastplate
  [{47649,47596}] = 67138, -- Crusader's Dragonscale Breastplate
  [{47628,47597}] = 67080, -- Ensorcelled Nerubian Breastplate
  [{47650,47598}] = 67136, -- Ensorcelled Nerubian Breastplate
  [{47634,47599}] = 67086, -- Knightbane Carapace
  [{47651,47600}] = 67142, -- Knightbane Carapace
  [{47632,47602}] = 67084, -- Lunar Eclipse Chestguard
  [{47652,47601}] = 67140, -- Lunar Eclipse Chestguard
  [{47655,47603}] = 67066, -- Merlin's Robe
  [{47638,47604}] = 67146, -- Merlin's Robe
  [{47633,47583}] = 67085, -- Moonshadow Armguards
  [{47653,47584}] = 67141, -- Moonshadow Armguards
  [{47656,47587}] = 67065, -- Royal Moonshroud Bracers
  [{47637,47588}] = 67147, -- Royal Moonshroud Bracers
  [{47657,47605}] = 67064, -- Royal Moonshroud Robe
  [{47636,47606}] = 67144, -- Royal Moonshroud Robe
  [{47623,47570}] = 67092, -- Saronite Swordbreakers
  [{47641,47571}] = 67131, -- Saronite Swordbreakers
  [{47627,47574}] = 67096, -- Sunforged Bracers
  [{47642,47575}] = 67135, -- Sunforged Bracers
  [{47626,47593}] = 67095, -- Sunforged Breastplate
  [{47643,47594}] = 67134, -- Sunforged Breastplate
  [{47624,47589}] = 67093, -- Titanium Razorplate
  [{47644,47590}] = 67132, -- Titanium Razorplate
  [{47625,47572}] = 67094, -- Titanium Spikeguards
  [{47645,47573}] = 67133, -- Titanium Spikeguards

  -- auto-upgrade patterns, rank ambiguity
  [fakeid()] = 102698, -- Heavy Windwool Bandage (rank 1)
  [72988]    = 102699, -- Heavy Windwool Bandage (rank 2)

  [fakeid()] = 55641,  -- Socket Gloves (rank 1)
  [fakeid()] = 114112, -- Socket Gloves (rank 2)
  [fakeid()] = 55628,  -- Socket Bracers (rank 1)
  [fakeid()] = 113263, -- Socket Bracers (rank 2)

  [fakeid()] = 82175,  -- Synapse Springs (rank 1)
  [fakeid()] = 126731, -- Synapse Springs (rank 2)

  [fakeid()] = 56034,  -- Master's Spellthread (rank 1)
  [fakeid()] = 75154,  -- Master's Spellthread (rank 2)
  [fakeid()] = 125496, -- Master's Spellthread (rank 3)
  [fakeid()] = 56039,  -- Sanctified Spellthread (rank 1)
  [fakeid()] = 75155,  -- Sanctified Spellthread (rank 2)
  [fakeid()] = 125497, -- Sanctified Spellthread (rank 3)
  [fakeid()] = 55642,  -- Lightweave Embroidery (rank 1)
  [fakeid()] = 75172,  -- Lightweave Embroidery (rank 2)
  [fakeid()] = 125481, -- Lightweave Embroidery (rank 3)
  [fakeid()] = 55769,  -- Darkglow Embroidery (rank 1)
  [fakeid()] = 75175,  -- Darkglow Embroidery (rank 2)
  [fakeid()] = 125482, -- Darkglow Embroidery (rank 3)
  [fakeid()] = 55777,  -- Swordguard Embroidery (rank 1)
  [fakeid()] = 75178,  -- Swordguard Embroidery (rank 2)
  [fakeid()] = 125483, -- Swordguard Embroidery (rank 3)

  [fakeid()] = 57683,  -- Fur Lining - Agility (rank 1)
  [fakeid()] = 85008,  -- Fur Lining - Agility (rank 2)
  [fakeid()] = 124551, -- Fur Lining - Agility (rank 3)
  [fakeid()] = 57691,  -- Fur Lining - Intellect (rank 1)
  [fakeid()] = 85010,  -- Fur Lining - Intellect (rank 2)
  [fakeid()] = 124552, -- Fur Lining - Intellect (rank 3)
  [fakeid()] = 57690,  -- Fur Lining - Stamina (rank 1)
  [fakeid()] = 85007,  -- Fur Lining - Stamina (rank 2)
  [fakeid()] = 124553, -- Fur Lining - Stamina (rank 3)
  [fakeid()] = 124549, -- Fur Lining - Strength (rank 1)
  [fakeid()] = 85009,  -- Fur Lining - Strength (rank 2)
  [fakeid()] = 124554, -- Fur Lining - Strength (rank 3)
  [fakeid()] = 124569, -- Draconic Leg Reinforcements (rank 1)
  [fakeid()] = 124566, -- Draconic Leg Reinforcements (rank 2)
  [fakeid()] = 124561, -- Draconic Leg Reinforcements (rank 3)
  [fakeid()] = 124568, -- Heavy Leg Reinforcements (rank 1)
  [fakeid()] = 124565, -- Heavy Leg Reinforcements (rank 2)
  [fakeid()] = 124563, -- Heavy Leg Reinforcements (rank 3)
  [fakeid()] = 124567, -- Primal Leg Reinforcements (rank 1)
  [fakeid()] = 124564, -- Primal Leg Reinforcements (rank 2)
  [fakeid()] = 124559, -- Primal Leg Reinforcements (rank 3)

}

if Exceptions_ItoS_locale then
  for k,v in pairs(Exceptions_ItoS_locale) do
    vars.Exceptions_ItoS[k] = v
  end
  Exceptions_ItoS_locale = nil
end

-- Recipes that remain in the Blizzard item database, 
-- but are unobtainable and have no corresponding profession bit
-- Currently only used for testing purposes
vars.DeadRecipes = {
 [2599]  = true, -- [Deprecated Pattern: Forest Silk Gloves]
 [6343]  = true, -- [Formula: Imbue Chest - Spirit]
 [14478] = true, -- [Pattern: Brightcloth Robe] (trainer pat now)
 [16051] = true, -- [Schematic: Thorium Shells] (removed 4.x)
 [16222] = true, -- [Formula: Enchant Shield - Superior Spirit] (changed to vitality in 3.1)
 [22537] = true, -- [Formula: Enchant Ring - Healing Power] (spell removed in MoP)
 [23885] = true, -- [Schematic: Remote Mail Terminal] (BC beta only, replaced by Moll-E)
 [24315] = true, -- [Pattern: Heavy Netherweave Net] Never deployed, bit removed in MoP
 [34126] = true, -- [Recipe: Shoveltusk Soup] (WoLTK recipe never released)
 [37337] = true, -- [Formula: Enchant Bracer - Greater Stats] (pat never released - trainer pat)
 [37338] = true, -- [Formula: Enchant Weapon - Greater Savagery] (pat never released, changed to 2H)
 [37348] = true, -- [Formula: Enchant Cloak - Haste] (pat never released - trainer pat)
 [38597] = true, -- [Pattern: Dark Arctic Boots] (pat never released, Black Chitinguard Boots - trainer pat)
 [39692] = true, -- [Recipe: Succulent Orca Stew] (WoLTK recipe never released)
 [42193] = true, -- [Pattern: Glacial Cord] (pat never released, deep frozen cord - trainer pat)
 [44918] = true, -- [Schematic: Cluster Launcher] (duplicate pattern - real pat is 21737)
 [47011] = true, -- [Design: Deadly Ametrine] (retired, real pat is 46949)
 [47023] = true, -- [Design: Deft Ametrine] (improperly removed in 4.x, real pat is 47020)
 -- JC patterns never deployed in cata (rare drop quest item instead)
 [52499] = true, -- [Design: Figurine - King of Boars]
 [52500] = true, -- [Design: Figurine - Demon Panther]
 [52501] = true, -- [Design: Figurine - Earthen Guardian]
 [52502] = true, -- [Design: Figurine - Jeweled Serpent]
 [52503] = true, -- [Design: Figurine - Dream Owl]
 -- LW patterns never deployed in cata (renamed to a diff set?)
 [67001] = true, -- [Pattern: Windbound Bracers]
 [67002] = true, -- [Pattern: Windbound Gloves]
 [67003] = true, -- [Pattern: Razorshell Bracers]
 [67004] = true, -- [Pattern: Razorshell Shoulders]
 [67005] = true, -- [Pattern: Shellscale Cloak]
 [67008] = true, -- [Pattern: Windbound Boots]
 [67009] = true, -- [Pattern: Razorshell Boots]
 [67012] = true, -- [Pattern: Windbound Belt]
 [67013] = true, -- [Pattern: Razorshell Gloves]
 [67016] = true, -- [Pattern: Windbound Shoulders]
 [67017] = true, -- [Pattern: Razorshell Belt]
 [67022] = true, -- [Pattern: Windbound Leggings]
 [67023] = true, -- [Pattern: Razorshell Helm]
 [67028] = true, -- [Pattern: Windbound Chest]
 [67030] = true, -- [Pattern: Razorshell Leggings]
 [67034] = true, -- [Pattern: Windbound Helm]
 [67035] = true, -- [Pattern: Razorshell Chest]
 -- Alc patterns never released in 4.3
 [71955] = true, -- [Recipe: Transmute Deepholm Iolite]
 [71956] = true, -- [Recipe: Transmute Elven Peridot]
 [71957] = true, -- [Recipe: Transmute Lightstone]
 [71958] = true, -- [Recipe: Transmute Lava Coral]
 [71959] = true, -- [Recipe: Transmute Shadow Spinel]
 [71960] = true, -- [Recipe: Transmute Queen's Garnet]
 -- Enchanting Rods removed in MoP
 [16243] = true, -- Formula: Runed Arcanite Rod
 [25846] = true, -- Plans: Adamantite Rod
 [25848] = true, -- Formula: Runed Adamantite Rod
 [25847] = true, -- Plans: Eternium Rod
 [25849] = true, -- Formula: Runed Eternium Rod
 [66134] = true, -- Plans: Elementium Rod
 [65359] = true, -- Formula: Runed Elementium Rod
 [84175] = true, -- Plans: Ghost Iron Rod
 -- Leatherworking patterns never released in MoP (renamed and changed to Misthide trainer pats)
 [86286] = true, -- [Pattern: Sha Leather]
 [86287] = true, -- [Pattern: Sha Leather Belt]
 [86288] = true, -- [Pattern: Sha Leather Boots]
 [86289] = true, -- [Pattern: Sha Leather Bracers]
 [86290] = true, -- [Pattern: Sha Leather Chestguard
 [86291] = true, -- [Pattern: Sha Leather Gloves]
 [86292] = true, -- [Pattern: Sha Leather Helm]
 [86293] = true, -- [Pattern: Sha Leather Leggings]
 [86294] = true, -- [Pattern: Sha Leather Shoulders] 
 -- JC patterns never released in MoP (renamed and changed to trainer pats)
 [83812] = true, -- [Design: Alexandrite Necklace]
 [83880] = true, -- [Design: Lapis Lazuli Band]
 -- Inscription pats never released in MoP
 [87830] = true, -- [Recipe: Tigersblood Tincture]
 -- Engineering pats never released in MoP
 [87756] = true, -- [Schematic: Steam-Filled Balloon]
 [90500] = true, -- [Schematic: Warbot]
 -- Cooking pats never released in MoP
 [90501] = true, -- [Recipe: Red War Fuel]
 [90502] = true, -- [Recipe: Blue War Fuel]
}
for id=41403,41423 do -- ZZOLD retired meta designs
  vars.DeadRecipes[id] = true
end
for id=74663,74677 do -- unreleased MoP cooking spec recipes (trainer pats)
  vars.DeadRecipes[id] = true
end
for id=87227,87249,2 do -- unreleased MoP cooking spec recipes (trainer pats)
  vars.DeadRecipes[id] = true
end

-- same for crafted items
vars.DeadCrafted = {
 [28119] = true, -- [Smooth Ornate Dawnstone]
 [28120] = true, -- [Smooth Ornate Dawnstone]
 [38546] = true, -- [Smooth Ornate Dawnstone]
 [38550] = true, -- [Smooth Ornate Dawnstone]
 [27679] = true, -- [Mystic Dawnstone]
 [37301] = true, -- [Deprecated Test Glyph]
 [38292] = true, -- [Test Living Ruby]
 [38916] = true, -- [Scroll of Enchant Weapon - Major Spirit] (enchant removed)
 [38958] = true, -- [Scroll of Enchant Weapon - Exceptional Intellect] (never released)
 [38983] = true, -- [Scroll of Enchant Shield - Mighty Stamina] (never released)
 [38994] = true, -- [Scroll of Enchant Weapon - Exceptional Healing] (never released)
 [40232] = true, -- [Test Dazzling Talasite]
 [40948] = true, -- [Deprecated Glyph of the Red Lynx]
 [43336] = true, -- [Deprecated Glyph of the Black Bear]
 [43337] = true, -- [Deprecated Glyph of the Forest Lynx]
 [43362] = true, -- [zzOLDGlyph of the Bear Cub]
 [43384] = true, -- [Deprecated Glyph of the Black Wolf]
 [45908] = true, -- [zzOLDGlyph of Envenom]
 [52196] = true, -- [Chimera's Eye] (false positive)
 [62763] = true, -- [Glyph of Pyroblast], (unreleased renaming of 42743)
 [62764] = true, -- [Glyph of Cone of Cold], (unreleased renaming of 42753)
 [62765] = true, -- [Glyph of Mana Shield], (unreleased renaming of 50045)
 [62766] = true, -- [Glyph of Dragon's Breath], (unreleased renaming of 42754)
 [62767] = true, -- [Glyph of Slow], (unreleased renaming of 45737)
 [62773] = true, -- [Glyph of Conjuring], (unreleased renaming of 43359)
 [63415] = true, -- [zzOLDGlyph of Armors]
 [71799] = true, -- [Glyph of Stabbing] (unreleased renaming of 42956)
 [76714] = true, -- [Perfect Rigid River\'s Heart] (never released)
 [77276] = true, -- [Enchant Weapon - Ninja] (never released)
 [79061] = true, -- [Enchant Weapon - Pandamonium] (never released)
 [89717] = true, -- [Enchant Bracer - Exceptional Strength (Scaling)] (never released)
 -- Glyphs never released in MoP
 [76729] = true, -- zzOLD Glyph of the Chameleon
 [85686] = true, -- zzOLD Glyph of Chi Wave
 [85690] = true, -- Glyph of Expel Harm (real version is 82345)
 [85701] = true, -- Glyph of Transcendence (real version 84652)
 [85703] = true, -- Glyph of Mass Exorcism (real version 83107)
 [85704] = true, -- Glyph of the Battle Healer (real version 81956)
 [85706] = true, -- Glyph of Mind Flay (real version is 79513)
 [85707] = true, -- Glyph of Vampiric Embrace (real version is 79515)
 [85708] = true, -- zzOLD Glyph of Vampiric Touch
 [85710] = true, -- Glyph of Incite (real version 83096)
 [85711] = true, -- zzOLD Glyph of the Bear Cub
 [85712] = true, -- zzOLD Glyph of Flying Serpent Kick
 [85714] = true, -- Glyph of Bladed Judgment (real version 80586)
 [85715] = true, -- Glyph of Focused Wrath (real version 80581)
 [85716] = true, -- Glyph of Righteous Retreat (real version 80585)
 [85717] = true, -- Glyph of the Falling Avenger (real version 80584)
 [85718] = true, -- Glyph of the Shadowy Apparition (real version 79538)
 [85719] = true, -- Glyph of Burning Anger (real version 80588)
 [85720] = true, -- Glyph of Crow Feast (real version 80587)
 [85722] = true, -- Glyph of the Blazing Trail (real version 85221)
 [87875] = true, -- Glyph of Lightspring (real version is 87902)
 [87886] = true, -- zzOLD Glyph of Spinning Fire Blossom
 [92727] = true, -- Glyph of Discreet Magic
 [93203] = true, -- Glyph of Focus
 -- uncraftable metas added in 5.2
 [95344] = true, --  [Indomitable Primal Diamond]
 [95345] = true, --  [Courageous Primal Diamond]
 [95346] = true, --  [Capacitive Primal Diamond]
 [95347] = true, --  [Sinister Primal Diamond]
 [95348] = true, --  [Tyrannical Primal Diamond]
 [76523] = true, -- Confounded Alexandrite, item never released
 [76655] = true, -- Confounded Wild Jade, item never released
 [95349] = true, -- [Enchant Weapon - Glorious Tyranny], not craftable
 [93403] = true, -- Eye of the Black Prince, not craftable, false positive on some languages
 [94904] = true, -- Crown of Heaven, not craftable, false positive on some languages
}

-- First Aid weirdness: Heavy Linen thru Heavy Runecloth have a duplicate bit for the 
-- same spell and itemid. The first bit is the one learned by most classes, the second
-- is the one auto-learned by DKs. Ignoring this weirdness for now.

vars.PatDB = {
---------------------------------------------------------------------------------------
-- Autogenerated data below
---------------------------------------------------------------------------------------
[7411] = {
[0] = {
	["checksum"] = 2979034305,
	["scandate"] = "03/05/13 19:14:30",
	["name"] = "Enchanting",
	["patcnt"] = 366,
	["deadbitmask"] = "HAAABAAAAACAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAIAIAAAAA0",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 378,
},
[20008] = 94,
[25126] = 137,
[20024] = 99,
[20032] = 115,
[44631] = 236,
[13637] = 44,
[33996] = 186,
[45765] = 241,
[13653] = 50,
[13661] = 53,
[63746] = 274,
[74252] = 322,
[13689] = 56,
[13693] = 57,
[23801] = 122,
[44488] = 205,
[27905] = 145,
[27913] = 148,
[62948] = 272,
[74189] = 280,
[44584] = 220,
[74253] = 323,
[27961] = 164,
[27977] = 170,
[42620] = 201,
[33997] = 187,
[14807] = 88,
[74254] = 324,
[13817] = 64,
[25079] = 130,
[44489] = 206,
[13841] = 67,
[20009] = 97,
[20017] = 96,
[20025] = 114,
[20033] = 109,
[44633] = 237,
[13378] = 25,
[13905] = 75,
[13917] = 77,
[74192] = 282,
[74256] = 326,
[60714] = 263,
[13937] = 80,
[13941] = 82,
[13945] = 84,
[23802] = 123,
[27906] = 146,
[27914] = 149,
[74193] = 283,
[27946] = 156,
[27954] = 160,
[96262] = 332,
[64579] = 276,
[7779] = 14,
[33999] = 188,
[7793] = 19,
[13538] = 35,
[74226] = 303,
[104407] = 344,
[60763] = 265,
[25072] = 126,
[25080] = 131,
[42974] = 202,
[44555] = 216,
[25128] = 139,
[20026] = 100,
[20034] = 113,
[96264] = 331,
[44635] = 238,
[13622] = 40,
[13626] = 41,
[13642] = 46,
[13646] = 48,
[7857] = 20,
[7859] = 21,
[7863] = 22,
[7867] = 23,
[118238] = 372,
[22749] = 118,
[13698] = 59,
[23803] = 124,
[44492] = 207,
[44508] = 208,
[44524] = 215,
[74197] = 285,
[44588] = 223,
[104442] = 368,
[13746] = 62,
[28003] = 172,
[34001] = 189,
[28027] = 197,
[14293] = 87,
[60653] = 256,
[74198] = 286,
[7418] = 3,
[7420] = 4,
[7426] = 6,
[7428] = 7,
[13822] = 65,
[25073] = 127,
[44509] = 211,
[13846] = 68,
[20011] = 112,
[25129] = 140,
[44589] = 222,
[20035] = 116,
[44621] = 231,
[13882] = 71,
[93841] = 328,
[13890] = 73,
[34002] = 190,
[60606] = 253,
[74200] = 288,
[74232] = 307,
[13419] = 27,
[104445] = 364,
[22750] = 119,
[23804] = 125,
[44510] = 212,
[27924] = 152,
[74201] = 289,
[27948] = 157,
[47672] = 245,
[27972] = 167,
[13503] = 32,
[28004] = 171,
[34003] = 191,
[28028] = 198,
[60623] = 255,
[74202] = 290,
[74234] = 308,
[44383] = 203,
[60767] = 269,
[25074] = 128,
[69412] = 277,
[20012] = 98,
[20020] = 95,
[20028] = 104,
[20036] = 110,
[44623] = 232,
[13631] = 42,
[13635] = 43,
[34004] = 192,
[13655] = 51,
[13659] = 52,
[13663] = 54,
[74236] = 310,
[104417] = 362,
[27837] = 142,
[13687] = 55,
[13695] = 58,
[47051] = 244,
[64441] = 275,
[44528] = 213,
[44576] = 219,
[44592] = 227,
[27957] = 161,
[27981] = 174,
[28021] = 178,
[60609] = 251,
[14809] = 89,
[47898] = 246,
[74238] = 312,
[104419] = 361,
[103461] = 334,
[13815] = 63,
[130758] = 375,
[118237] = 373,
[118239] = 371,
[74237] = 311,
[25083] = 132,
[104427] = 369,
[44513] = 214,
[44529] = 217,
[104430] = 367,
[20013] = 105,
[74207] = 291,
[20029] = 102,
[104420] = 363,
[44625] = 233,
[103462] = 335,
[42613] = 199,
[104434] = 366,
[13887] = 72,
[13380] = 26,
[33990] = 180,
[104440] = 365,
[104416] = 360,
[104403] = 359,
[104404] = 358,
[13915] = 76,
[59636] = 257,
[47899] = 247,
[74240] = 314,
[13931] = 78,
[13935] = 79,
[13939] = 81,
[13943] = 83,
[13947] = 85,
[104401] = 357,
[104398] = 356,
[104397] = 355,
[104392] = 354,
[104393] = 353,
[104395] = 352,
[13464] = 29,
[104385] = 351,
[7766] = 11,
[104389] = 350,
[27950] = 158,
[27958] = 162,
[104338] = 349,
[7776] = 13,
[27982] = 175,
[104391] = 348,
[7782] = 15,
[104390] = 347,
[33991] = 181,
[7788] = 17,
[104414] = 346,
[104408] = 345,
[104409] = 343,
[59621] = 266,
[13536] = 34,
[47900] = 259,
[60691] = 261,
[60707] = 262,
[15596] = 91,
[103465] = 337,
[74199] = 287,
[116498] = 341,
[74195] = 284,
[104698] = 338,
[103463] = 336,
[25084] = 133,
[96261] = 333,
[95471] = 330,
[93843] = 329,
[74255] = 325,
[25124] = 135,
[74211] = 292,
[20030] = 108,
[13612] = 37,
[74251] = 321,
[13620] = 39,
[42615] = 200,
[28016] = 176,
[44595] = 228,
[74247] = 318,
[13640] = 45,
[34008] = 194,
[13648] = 49,
[116497] = 340,
[74244] = 316,
[74242] = 315,
[74239] = 313,
[47901] = 248,
[60692] = 264,
[104425] = 370,
[62257] = 271,
[74235] = 309,
[74231] = 306,
[74230] = 305,
[74229] = 304,
[13700] = 60,
[23799] = 120,
[44484] = 204,
[44500] = 209,
[17180] = 93,
[74225] = 302,
[27927] = 153,
[74223] = 301,
[74213] = 294,
[27951] = 159,
[44612] = 226,
[27967] = 165,
[27975] = 169,
[74220] = 300,
[44636] = 240,
[74217] = 298,
[46578] = 242,
[33993] = 183,
[34009] = 195,
[74215] = 296,
[116499] = 342,
[74212] = 293,
[14810] = 90,
[21931] = 117,
[74214] = 295,
[74246] = 317,
[7421] = 5,
[74191] = 281,
[74132] = 279,
[71692] = 278,
[62959] = 273,
[62256] = 270,
[59619] = 268,
[7786] = 16,
[13836] = 66,
[27960] = 163,
[44593] = 224,
[7443] = 8,
[34007] = 193,
[25125] = 136,
[20023] = 106,
[20031] = 111,
[13868] = 70,
[44629] = 235,
[7457] = 9,
[60616] = 252,
[47766] = 250,
[27917] = 150,
[7771] = 12,
[33994] = 184,
[34010] = 196,
[27899] = 144,
[13858] = 69,
[27911] = 147,
[20010] = 107,
[13617] = 38,
[74216] = 297,
[74248] = 319,
[13421] = 28,
[28022] = 179,
[44591] = 225,
[13898] = 74,
[13948] = 86,
[44630] = 234,
[7745] = 18,
[23800] = 121,
[44616] = 230,
[7748] = 10,
[17181] = 92,
[27920] = 151,
[46594] = 243,
[60668] = 260,
[27944] = 154,
[44598] = 229,
[13485] = 30,
[27968] = 166,
[44582] = 221,
[27984] = 173,
[13501] = 31,
[13607] = 36,
[44506] = 210,
[33995] = 185,
[20015] = 103,
[25127] = 138,
[60621] = 254,
[13529] = 33,
[59625] = 267,
[60663] = 258,
[74218] = 299,
[74250] = 320,
[27945] = 155,
[33992] = 182,
[44645] = 239,
[28019] = 177,
[20016] = 101,
[13644] = 47,
[27971] = 168,
[25078] = 129,
[25086] = 134,
[44575] = 218,
[25130] = 141,
},
[2259] = {
[0] = {
	["checksum"] = 464025792,
	["scandate"] = "03/05/13 19:14:40",
	["name"] = "Alchemy",
	["patcnt"] = 328,
	["deadbitmask"] = "JAAIAAAAAAIAAAAAAACAAAAAA4AAAAEAAAAAAAAAAAAAAAAABIAAAAACw",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 342,
},
[41501] = 174,
[38962] = 166,
[80479] = 251,
[114780] = 308,
[17557] = 73,
[17565] = 81,
[17573] = 85,
[80480] = 259,
[17637] = 97,
[114781] = 309,
[33741] = 163,
[54213] = 220,
[6617] = 26,
[24368] = 106,
[80481] = 287,
[114782] = 310,
[53942] = 214,
[28544] = 111,
[28552] = 116,
[15833] = 65,
[28576] = 138,
[28584] = 143,
[80482] = 271,
[114751] = 325,
[114783] = 311,
[41503] = 176,
[53783] = 212,
[53847] = 189,
[114752] = 313,
[114784] = 312,
[53895] = 190,
[38070] = 164,
[17566] = 76,
[17574] = 86,
[63732] = 244,
[22732] = 100,
[80484] = 257,
[114753] = 314,
[7256] = 34,
[53784] = 213,
[57425] = 226,
[114754] = 315,
[11458] = 47,
[11466] = 53,
[39636] = 168,
[11478] = 60,
[28553] = 118,
[28569] = 131,
[28577] = 136,
[28585] = 141,
[80486] = 252,
[114755] = 316,
[47046] = 179,
[60396] = 231,
[7837] = 36,
[66658] = 246,
[7841] = 37,
[114756] = 317,
[7845] = 38,
[17551] = 67,
[17559] = 74,
[17575] = 87,
[3170] = 11,
[3171] = 4,
[92688] = 290,
[24266] = 102,
[3174] = 6,
[3175] = 98,
[3176] = 7,
[3177] = 8,
[41458] = 172,
[3188] = 10,
[66660] = 248,
[57427] = 227,
[114758] = 319,
[93328] = 293,
[53898] = 191,
[93935] = 292,
[39638] = 170,
[28546] = 113,
[28554] = 119,
[28562] = 124,
[28570] = 132,
[28578] = 139,
[28586] = 147,
[80490] = 267,
[114759] = 320,
[47048] = 181,
[54218] = 221,
[60366] = 238,
[60893] = 241,
[53771] = 209,
[66662] = 249,
[80491] = 255,
[114760] = 321,
[53899] = 198,
[39639] = 171,
[17560] = 77,
[3230] = 12,
[17576] = 88,
[66663] = 250,
[17632] = 93,
[114761] = 322,
[47049] = 180,
[60367] = 239,
[80269] = 273,
[94162] = 291,
[53836] = 184,
[11451] = 42,
[114762] = 323,
[11459] = 48,
[53900] = 192,
[11467] = 54,
[11479] = 61,
[28555] = 120,
[28563] = 125,
[28571] = 134,
[28579] = 140,
[28587] = 149,
[80494] = 270,
[114763] = 324,
[33732] = 159,
[47050] = 178,
[54220] = 222,
[4508] = 22,
[53773] = 208,
[25146] = 107,
[53837] = 185,
[80495] = 274,
[114764] = 298,
[12609] = 64,
[53901] = 197,
[17553] = 69,
[17561] = 75,
[17577] = 89,
[80496] = 265,
[114765] = 299,
[33733] = 162,
[54221] = 223,
[58868] = 228,
[6618] = 25,
[6624] = 24,
[53838] = 186,
[80497] = 258,
[114766] = 300,
[53902] = 196,
[80721] = 262,
[28556] = 121,
[28564] = 126,
[28572] = 135,
[28580] = 145,
[28588] = 150,
[80498] = 269,
[114767] = 301,
[7179] = 27,
[7181] = 28,
[7183] = 29,
[60354] = 233,
[80243] = 282,
[53775] = 206,
[53839] = 201,
[2329] = 2,
[2330] = 1,
[53903] = 195,
[2332] = 336,
[2333] = 9,
[17554] = 70,
[17562] = 79,
[17570] = 82,
[17578] = 90,
[17634] = 94,
[114769] = 330,
[60355] = 234,
[17187] = 66,
[7255] = 32,
[53776] = 203,
[7259] = 33,
[53840] = 187,
[11452] = 44,
[11456] = 45,
[11460] = 49,
[53904] = 194,
[11468] = 55,
[53936] = 215,
[11476] = 58,
[11480] = 62,
[28557] = 122,
[28565] = 127,
[28573] = 137,
[28581] = 146,
[28589] = 151,
[2337] = 339,
[2335] = 338,
[114771] = 328,
[2334] = 337,
[2331] = 335,
[136197] = 334,
[130326] = 333,
[114786] = 332,
[32765] = 157,
[80247] = 277,
[114770] = 329,
[58871] = 229,
[53777] = 202,
[38961] = 167,
[7836] = 35,
[54020] = 219,
[53841] = 200,
[114757] = 318,
[114772] = 327,
[114778] = 306,
[53905] = 193,
[60403] = 230,
[53937] = 216,
[17555] = 71,
[17563] = 78,
[17571] = 83,
[17579] = 91,
[53782] = 205,
[26277] = 108,
[114774] = 302,
[24365] = 103,
[96254] = 295,
[53848] = 199,
[17635] = 95,
[114773] = 326,
[80237] = 286,
[80244] = 285,
[80246] = 284,
[78866] = 283,
[80245] = 281,
[60357] = 236,
[80250] = 280,
[80493] = 256,
[60405] = 232,
[24366] = 104,
[80248] = 278,
[80492] = 276,
[80726] = 275,
[53842] = 188,
[80725] = 272,
[3447] = 13,
[3448] = 14,
[3449] = 15,
[3450] = 16,
[3451] = 17,
[3452] = 18,
[3453] = 19,
[3454] = 20,
[21923] = 99,
[80487] = 268,
[28582] = 144,
[28590] = 148,
[80508] = 266,
[80477] = 264,
[80723] = 263,
[28568] = 130,
[114775] = 303,
[53781] = 204,
[80720] = 261,
[33738] = 160,
[80719] = 260,
[8240] = 39,
[32766] = 158,
[80251] = 279,
[29688] = 156,
[39637] = 169,
[53779] = 210,
[92643] = 289,
[96252] = 296,
[60356] = 235,
[41502] = 175,
[53774] = 207,
[114776] = 304,
[66664] = 245,
[38960] = 165,
[17552] = 68,
[53939] = 218,
[17556] = 72,
[17564] = 80,
[17572] = 84,
[17580] = 92,
[28545] = 112,
[28549] = 114,
[7258] = 31,
[96253] = 294,
[62410] = 243,
[62409] = 242,
[17636] = 96,
[114777] = 305,
[7257] = 30,
[4942] = 23,
[60365] = 237,
[80488] = 254,
[22808] = 101,
[11448] = 43,
[11450] = 41,
[45061] = 177,
[41500] = 173,
[53780] = 211,
[60350] = 240,
[53812] = 183,
[11464] = 51,
[11449] = 40,
[11472] = 56,
[11457] = 46,
[11461] = 50,
[11465] = 52,
[28550] = 115,
[11473] = 57,
[11477] = 59,
[28551] = 117,
[28558] = 123,
[28567] = 129,
[28575] = 133,
[28583] = 142,
[28591] = 152,
[28566] = 128,
[54222] = 224,
[80478] = 253,
[53938] = 217,
[114779] = 307,
[56519] = 225,
[66659] = 247,
[33740] = 161,
[24367] = 105,
[3173] = 5,
[28543] = 110,
},
[3273] = {
[0] = {
	["checksum"] = 2621034504,
	["scandate"] = "03/05/13 19:14:10",
	["name"] = "First Aid",
	["patcnt"] = 34,
	["deadbitmask"] = "DkgQiEA+",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 48,
},
[74558] = 34,
[23787] = 16,
[7935] = 10,
[3276] = 3,
[3278] = 5,
[10841] = 13,
[7928] = 6,
[18630] = 15,
[102697] = 30,
[27032] = 18,
[27033] = 19,
[74557] = 28,
[7929] = 7,
[3275] = 2,
[3277] = 4,
[88893] = 33,
[102699] = 42,
[45546] = 21,
[7934] = 9,
[74556] = 27,
[102698] = 31,
[45545] = 20,
[10840] = 12,
[18629] = 14,
},
[3908] = {
[0] = {
	["checksum"] = 3353145674,
	["scandate"] = "03/05/13 19:15:47",
	["name"] = "Tailoring",
	["patcnt"] = 582,
	["deadbitmask"] = "HAAAAAAAAAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAEAAAAAQAAAAAQAAAAAAAAAAQAAAAAEAAAAAAAAAAMAAAAAACAAAAAAAA",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 594,
},
[55913] = 350,
[56009] = 378,
[75254] = 444,
[36668] = 308,
[18414] = 162,
[37883] = 313,
[46131] = 327,
[26758] = 237,
[26774] = 249,
[36317] = 301,
[55914] = 352,
[56010] = 379,
[63203] = 419,
[75256] = 442,
[36669] = 306,
[26087] = 222,
[37884] = 314,
[75257] = 445,
[31442] = 284,
[36318] = 303,
[26407] = 224,
[56011] = 380,
[63204] = 418,
[75258] = 480,
[36670] = 304,
[44950] = 325,
[18415] = 160,
[18447] = 183,
[8760] = 81,
[8776] = 79,
[26759] = 238,
[75259] = 482,
[101921] = 497,
[63205] = 417,
[75260] = 487,
[101922] = 498,
[12045] = 102,
[50194] = 331,
[12061] = 114,
[12069] = 122,
[40060] = 319,
[12085] = 138,
[12093] = 146,
[75261] = 481,
[101923] = 499,
[31443] = 285,
[31459] = 296,
[7629] = 68,
[7633] = 69,
[63206] = 416,
[75262] = 484,
[36672] = 305,
[18416] = 163,
[18448] = 184,
[6686] = 59,
[6690] = 61,
[18560] = 195,
[26760] = 239,
[75263] = 485,
[60969] = 409,
[56014] = 381,
[75264] = 461,
[67144] = 426,
[8465] = 75,
[24091] = 216,
[8489] = 77,
[2386] = 7,
[2392] = 8,
[2394] = 10,
[2396] = 13,
[2402] = 15,
[31460] = 297,
[2406] = 19,
[7893] = 74,
[55919] = 355,
[100585] = 495,
[56015] = 382,
[75266] = 483,
[67146] = 428,
[18401] = 148,
[18417] = 164,
[18449] = 185,
[26745] = 225,
[26761] = 240,
[8793] = 95,
[67147] = 429,
[22813] = 201,
[60971] = 410,
[55920] = 358,
[56016] = 384,
[75268] = 475,
[125523] = 530,
[12046] = 103,
[24092] = 215,
[12062] = 115,
[12070] = 123,
[12078] = 131,
[12086] = 139,
[75141] = 447,
[75269] = 464,
[125524] = 533,
[55921] = 353,
[56017] = 383,
[75270] = 455,
[125525] = 529,
[18402] = 149,
[18418] = 165,
[18434] = 172,
[18450] = 186,
[26746] = 226,
[26762] = 241,
[26778] = 253,
[125526] = 536,
[50647] = 333,
[55922] = 354,
[20848] = 197,
[75144] = 450,
[125527] = 535,
[24093] = 214,
[75145] = 449,
[125528] = 539,
[31430] = 274,
[55923] = 359,
[56019] = 386,
[125529] = 537,
[18403] = 150,
[18419] = 166,
[18451] = 187,
[8762] = 82,
[23662] = 208,
[8778] = 88,
[8786] = 92,
[26779] = 254,
[8802] = 99,
[125530] = 538,
[3755] = 56,
[3757] = 57,
[55924] = 356,
[20849] = 198,
[56020] = 387,
[125531] = 513,
[12047] = 104,
[12055] = 110,
[12063] = 116,
[12071] = 124,
[12079] = 132,
[12087] = 140,
[125532] = 516,
[31431] = 275,
[75597] = 488,
[3813] = 58,
[7630] = 67,
[55925] = 357,
[56021] = 388,
[125533] = 512,
[3839] = 20,
[3841] = 23,
[3843] = 25,
[3845] = 27,
[3847] = 28,
[3849] = 30,
[3851] = 32,
[3855] = 35,
[3857] = 37,
[3859] = 39,
[3861] = 41,
[26764] = 243,
[3865] = 21,
[3869] = 47,
[3871] = 49,
[3873] = 51,
[99448] = 490,
[56022] = 389,
[125535] = 518,
[8467] = 76,
[8483] = 78,
[99449] = 491,
[125536] = 526,
[31432] = 276,
[31448] = 287,
[70550] = 430,
[56023] = 390,
[125537] = 524,
[18405] = 153,
[18421] = 168,
[70551] = 431,
[18453] = 189,
[27724] = 264,
[23664] = 209,
[26749] = 228,
[26765] = 244,
[26781] = 256,
[125538] = 525,
[70552] = 432,
[74964] = 437,
[56024] = 391,
[125539] = 515,
[70553] = 433,
[12048] = 105,
[12056] = 111,
[12064] = 117,
[12072] = 125,
[12080] = 133,
[12088] = 141,
[137910] = 556,
[125540] = 517,
[31433] = 277,
[31449] = 288,
[55769] = 336,
[55993] = 362,
[56025] = 392,
[125541] = 514,
[18406] = 152,
[18422] = 169,
[18438] = 175,
[18454] = 190,
[27725] = 265,
[23665] = 211,
[26750] = 229,
[26782] = 257,
[55642] = 335,
[137915] = 565,
[55898] = 338,
[22866] = 202,
[55994] = 363,
[56026] = 393,
[75288] = 436,
[125543] = 519,
[137917] = 583,
[28205] = 268,
[137918] = 550,
[75289] = 474,
[125544] = 527,
[31434] = 278,
[31450] = 289,
[137919] = 551,
[55899] = 339,
[55995] = 364,
[56027] = 394,
[75290] = 466,
[36686] = 310,
[125545] = 521,
[18407] = 154,
[18423] = 170,
[18439] = 176,
[18455] = 191,
[99459] = 492,
[8764] = 83,
[8772] = 86,
[26751] = 230,
[75291] = 460,
[8804] = 100,
[125546] = 522,
[63924] = 415,
[137923] = 575,
[55900] = 340,
[22867] = 203,
[55996] = 365,
[56028] = 395,
[75292] = 471,
[125483] = 591,
[125547] = 507,
[137925] = 579,
[12049] = 106,
[12065] = 118,
[12073] = 126,
[12081] = 134,
[12089] = 142,
[137926] = 568,
[75293] = 453,
[125548] = 508,
[31435] = 279,
[31451] = 290,
[7623] = 65,
[55901] = 351,
[7643] = 72,
[55997] = 366,
[56029] = 396,
[75294] = 465,
[125549] = 509,
[18408] = 155,
[18424] = 171,
[18440] = 177,
[18456] = 192,
[6688] = 60,
[6692] = 62,
[26752] = 231,
[26784] = 259,
[125550] = 506,
[137931] = 569,
[55902] = 341,
[22868] = 204,
[55998] = 367,
[56030] = 344,
[75296] = 468,
[125551] = 540,
[137933] = 577,
[28207] = 269,
[2385] = 5,
[2387] = 4,
[2389] = 6,
[137934] = 563,
[2393] = 9,
[75297] = 454,
[2397] = 11,
[2399] = 16,
[2401] = 17,
[2403] = 18,
[137935] = 581,
[55903] = 342,
[55999] = 368,
[56031] = 397,
[75298] = 435,
[125553] = 532,
[18409] = 156,
[18441] = 178,
[18457] = 193,
[26753] = 232,
[8789] = 93,
[8797] = 97,
[125554] = 528,
[137939] = 574,
[55904] = 343,
[22869] = 205,
[56000] = 369,
[137940] = 578,
[75300] = 438,
[125555] = 511,
[137941] = 564,
[12050] = 107,
[28208] = 267,
[12074] = 127,
[12082] = 135,
[12090] = 143,
[137942] = 582,
[31373] = 299,
[75301] = 472,
[125556] = 510,
[31437] = 280,
[31453] = 292,
[55777] = 337,
[28480] = 273,
[56001] = 371,
[75302] = 469,
[125557] = 534,
[18410] = 157,
[18442] = 179,
[18458] = 194,
[59582] = 401,
[26754] = 233,
[26770] = 245,
[75303] = 470,
[125558] = 502,
[138599] = 549,
[137914] = 560,
[125482] = 590,
[125481] = 589,
[137936] = 553,
[75172] = 587,
[75175] = 586,
[55906] = 345,
[22870] = 206,
[75155] = 585,
[22902] = 207,
[56034] = 398,
[75154] = 584,
[75304] = 467,
[137930] = 580,
[125559] = 503,
[137928] = 576,
[137932] = 573,
[137927] = 572,
[137922] = 571,
[137938] = 570,
[137921] = 567,
[28209] = 270,
[137916] = 566,
[99537] = 494,
[137929] = 562,
[59583] = 402,
[64730] = 421,
[137924] = 561,
[75305] = 459,
[125496] = 592,
[125560] = 504,
[31438] = 281,
[31454] = 293,
[137913] = 559,
[137912] = 558,
[137911] = 557,
[26403] = 223,
[60990] = 413,
[55907] = 346,
[137909] = 555,
[137937] = 554,
[56003] = 372,
[75178] = 588,
[137920] = 552,
[94743] = 489,
[125497] = 593,
[125561] = 505,
[137908] = 548,
[18411] = 158,
[137907] = 547,
[138600] = 546,
[18446] = 182,
[138597] = 544,
[134585] = 543,
[130325] = 542,
[8758] = 80,
[8766] = 84,
[8774] = 87,
[8782] = 90,
[26771] = 246,
[75307] = 458,
[125552] = 531,
[125534] = 523,
[12060] = 113,
[22759] = 200,
[12068] = 121,
[3863] = 43,
[26776] = 251,
[75295] = 457,
[26747] = 227,
[24901] = 219,
[26755] = 234,
[26763] = 242,
[56004] = 373,
[125542] = 520,
[67066] = 424,
[75308] = 476,
[75306] = 456,
[6521] = 54,
[7639] = 71,
[3758] = 55,
[56002] = 370,
[56018] = 385,
[31452] = 291,
[12059] = 112,
[12067] = 120,
[12075] = 128,
[12083] = 136,
[12091] = 144,
[59585] = 404,
[18404] = 151,
[18412] = 159,
[75309] = 478,
[18420] = 167,
[18436] = 173,
[138598] = 545,
[31455] = 294,
[18452] = 188,
[7624] = 66,
[27658] = 261,
[37882] = 312,
[7636] = 70,
[28482] = 272,
[55941] = 360,
[6693] = 63,
[56005] = 374,
[6695] = 64,
[23666] = 212,
[75310] = 479,
[8791] = 94,
[8795] = 96,
[3840] = 22,
[3842] = 24,
[3844] = 26,
[18444] = 180,
[3848] = 29,
[3850] = 31,
[3852] = 33,
[3854] = 34,
[3856] = 36,
[3858] = 38,
[3860] = 40,
[26756] = 235,
[3864] = 44,
[3866] = 45,
[3868] = 46,
[3870] = 48,
[3872] = 50,
[26772] = 247,
[26780] = 255,
[2964] = 14,
[75267] = 486,
[75247] = 462,
[60993] = 411,
[24902] = 217,
[28481] = 271,
[55908] = 347,
[56006] = 375,
[75265] = 477,
[67064] = 422,
[36665] = 309,
[21945] = 199,
[75248] = 439,
[75255] = 473,
[26085] = 220,
[19435] = 196,
[60994] = 412,
[18437] = 174,
[3914] = 52,
[75146] = 451,
[12053] = 109,
[27659] = 262,
[12077] = 130,
[59587] = 406,
[41205] = 322,
[67065] = 423,
[23667] = 213,
[26757] = 236,
[26773] = 248,
[31440] = 282,
[31456] = 295,
[12066] = 119,
[75299] = 452,
[49677] = 330,
[41208] = 321,
[7892] = 73,
[55911] = 349,
[55943] = 361,
[31444] = 286,
[56007] = 376,
[56039] = 399,
[75250] = 463,
[2395] = 12,
[75249] = 441,
[40021] = 315,
[55910] = 348,
[18413] = 161,
[99460] = 493,
[18445] = 181,
[26777] = 252,
[46129] = 326,
[40023] = 317,
[75142] = 448,
[101920] = 496,
[2963] = 3,
[59588] = 407,
[41206] = 323,
[75251] = 446,
[8799] = 98,
[27660] = 263,
[59584] = 403,
[44958] = 324,
[8780] = 89,
[36315] = 300,
[8784] = 91,
[67145] = 427,
[59586] = 405,
[3862] = 42,
[24903] = 218,
[67079] = 425,
[63742] = 414,
[56008] = 377,
[46128] = 328,
[75252] = 440,
[36667] = 307,
[26775] = 250,
[26783] = 258,
[50644] = 332,
[26086] = 221,
[64729] = 420,
[12044] = 101,
[12052] = 108,
[46130] = 329,
[40024] = 316,
[12076] = 129,
[12084] = 137,
[12092] = 145,
[59589] = 408,
[41207] = 320,
[75253] = 443,
[40020] = 318,
[3915] = 53,
[23663] = 210,
[31441] = 283,
[37873] = 311,
[36316] = 302,
[28210] = 266,
[8770] = 85,
},
[45357] = {
[0] = {
	["checksum"] = 1433630789,
	["scandate"] = "03/05/13 19:14:47",
	["name"] = "Inscription",
	["patcnt"] = 563,
	["deadbitmask"] = "/AAAACAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAgAAAAAAAQAAAAACAAAAAAAAAA4",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 576,
},
[57000] = 100,
[57032] = 132,
[64257] = 367,
[57128] = 180,
[57160] = 340,
[57192] = 156,
[57224] = 52,
[58311] = 279,
[58343] = 276,
[59494] = 325,
[57704] = 60,
[50607] = 26,
[57001] = 101,
[57033] = 138,
[64258] = 369,
[57129] = 172,
[57161] = 317,
[57193] = 157,
[57225] = 53,
[57257] = 218,
[58312] = 267,
[58344] = 274,
[58472] = 235,
[59559] = 341,
[71101] = 420,
[50608] = 27,
[112469] = 524,
[111830] = 540,
[57002] = 102,
[57034] = 140,
[71102] = 421,
[64259] = 371,
[57130] = 186,
[57162] = 308,
[57194] = 145,
[57226] = 54,
[57258] = 220,
[58313] = 266,
[58345] = 286,
[59496] = 328,
[126153] = 506,
[59560] = 346,
[86640] = 435,
[57706] = 61,
[50609] = 28,
[56971] = 114,
[57003] = 104,
[57035] = 141,
[64260] = 370,
[57131] = 173,
[86641] = 436,
[57195] = 160,
[57227] = 55,
[57259] = 208,
[58314] = 265,
[58346] = 275,
[59497] = 335,
[59561] = 343,
[86642] = 437,
[57707] = 62,
[135561] = 572,
[50610] = 29,
[56972] = 119,
[57004] = 93,
[57036] = 139,
[64261] = 368,
[57132] = 174,
[57164] = 345,
[61288] = 255,
[57228] = 56,
[57260] = 222,
[58315] = 280,
[58347] = 305,
[86004] = 424,
[126988] = 562,
[59498] = 336,
[68166] = 418,
[86644] = 439,
[57708] = 63,
[50611] = 30,
[86005] = 423,
[126989] = 563,
[56973] = 115,
[57005] = 97,
[57037] = 498,
[64262] = 372,
[57133] = 175,
[57165] = 318,
[57197] = 150,
[57229] = 57,
[57261] = 224,
[59339] = 331,
[111645] = 542,
[58476] = 237,
[86646] = 441,
[57709] = 64,
[50612] = 10,
[111646] = 543,
[56974] = 116,
[57006] = 108,
[64295] = 377,
[57198] = 158,
[57230] = 58,
[57262] = 211,
[59340] = 332,
[95215] = 464,
[48247] = 9,
[86648] = 442,
[57710] = 65,
[69385] = 419,
[126801] = 511,
[56943] = 84,
[56975] = 124,
[57007] = 98,
[64296] = 399,
[86649] = 443,
[57199] = 164,
[58286] = 277,
[58318] = 268,
[126994] = 557,
[58478] = 238,
[127378] = 565,
[57711] = 66,
[50614] = 11,
[126995] = 555,
[56944] = 89,
[56976] = 112,
[57008] = 103,
[64297] = 380,
[57168] = 330,
[57200] = 151,
[57232] = 200,
[58287] = 293,
[58319] = 302,
[48121] = 75,
[126996] = 550,
[59502] = 247,
[86652] = 444,
[57712] = 67,
[126997] = 559,
[56945] = 76,
[57009] = 94,
[64266] = 373,
[64298] = 391,
[86653] = 445,
[57201] = 152,
[57233] = 199,
[58288] = 278,
[58320] = 281,
[67600] = 417,
[58480] = 239,
[111909] = 547,
[112996] = 533,
[61677] = 348,
[86654] = 427,
[57713] = 68,
[50616] = 12,
[56946] = 85,
[56978] = 113,
[57010] = 111,
[94711] = 463,
[124442] = 473,
[57170] = 338,
[57202] = 161,
[57234] = 206,
[58289] = 257,
[92026] = 453,
[59504] = 249,
[53462] = 36,
[124443] = 474,
[57714] = 69,
[50617] = 13,
[92027] = 454,
[56947] = 86,
[56979] = 118,
[57011] = 109,
[86401] = 429,
[64268] = 376,
[64300] = 389,
[57235] = 203,
[60336] = 320,
[58322] = 306,
[58482] = 241,
[86402] = 430,
[124445] = 476,
[57715] = 70,
[50618] = 14,
[56948] = 78,
[56980] = 122,
[57012] = 107,
[86403] = 431,
[124446] = 477,
[57172] = 333,
[57236] = 197,
[60337] = 334,
[58323] = 271,
[128922] = 567,
[58483] = 242,
[124447] = 478,
[57716] = 71,
[50619] = 15,
[56949] = 92,
[56981] = 117,
[64270] = 401,
[64302] = 402,
[57237] = 207,
[59315] = 292,
[58324] = 288,
[59475] = 310,
[58484] = 227,
[111917] = 566,
[112045] = 537,
[124449] = 480,
[126687] = 508,
[112429] = 503,
[127007] = 564,
[56950] = 88,
[57014] = 347,
[127391] = 538,
[64271] = 379,
[64303] = 403,
[57238] = 189,
[57270] = 215,
[58325] = 282,
[58485] = 228,
[111919] = 544,
[124451] = 482,
[127009] = 561,
[56951] = 77,
[56983] = 123,
[111920] = 536,
[62162] = 352,
[64304] = 405,
[57207] = 37,
[57239] = 187,
[57271] = 213,
[58326] = 270,
[58486] = 229,
[111921] = 534,
[124453] = 484,
[56952] = 83,
[56984] = 465,
[57112] = 184,
[124454] = 485,
[57208] = 38,
[57240] = 190,
[58327] = 304,
[59478] = 311,
[58487] = 230,
[124455] = 486,
[56953] = 79,
[112883] = 541,
[57113] = 177,
[124456] = 487,
[57209] = 39,
[57241] = 193,
[58296] = 256,
[58328] = 289,
[58488] = 231,
[124457] = 488,
[112437] = 514,
[64051] = 354,
[56954] = 90,
[56986] = 121,
[57114] = 166,
[64307] = 408,
[57210] = 40,
[57242] = 194,
[58297] = 303,
[58329] = 298,
[127016] = 558,
[59480] = 244,
[58489] = 232,
[124459] = 491,
[127017] = 549,
[56955] = 72,
[56987] = 125,
[57019] = 144,
[57115] = 181,
[86609] = 432,
[57211] = 41,
[57243] = 204,
[58298] = 260,
[58330] = 299,
[127018] = 554,
[58490] = 233,
[130407] = 568,
[124461] = 493,
[64053] = 355,
[56956] = 80,
[56988] = 126,
[57020] = 133,
[57116] = 178,
[64309] = 407,
[57244] = 195,
[57276] = 226,
[58331] = 290,
[127020] = 560,
[58491] = 234,
[124463] = 496,
[126701] = 510,
[127021] = 551,
[56957] = 82,
[56989] = 120,
[57021] = 142,
[64246] = 357,
[57117] = 185,
[64310] = 411,
[57181] = 163,
[57213] = 42,
[57245] = 191,
[57277] = 214,
[58332] = 283,
[59387] = 319,
[52738] = 32,
[127023] = 556,
[56958] = 91,
[56990] = 349,
[57022] = 127,
[64247] = 358,
[64279] = 383,
[64311] = 409,
[57214] = 43,
[57246] = 188,
[58301] = 259,
[58333] = 297,
[127024] = 553,
[59484] = 315,
[107907] = 471,
[86616] = 434,
[85785] = 422,
[52739] = 33,
[56959] = 81,
[56991] = 353,
[57023] = 134,
[64248] = 356,
[64280] = 382,
[64312] = 406,
[57183] = 153,
[119481] = 490,
[57247] = 201,
[58302] = 294,
[95825] = 467,
[89815] = 452,
[50598] = 17,
[56960] = 87,
[89368] = 446,
[57024] = 135,
[64249] = 359,
[64281] = 386,
[64313] = 416,
[57184] = 147,
[57216] = 45,
[57248] = 202,
[59326] = 284,
[59486] = 316,
[89369] = 447,
[50599] = 18,
[112451] = 513,
[56961] = 74,
[89370] = 448,
[61117] = 250,
[64250] = 360,
[57121] = 169,
[64314] = 415,
[57185] = 154,
[57217] = 46,
[57249] = 192,
[112452] = 519,
[58336] = 285,
[59487] = 245,
[89371] = 449,
[50600] = 19,
[89244] = 426,
[135535] = 571,
[89372] = 450,
[61118] = 253,
[132167] = 570,
[64251] = 361,
[64283] = 392,
[64315] = 413,
[57186] = 148,
[131152] = 569,
[57250] = 205,
[112454] = 520,
[58337] = 272,
[127019] = 552,
[111910] = 548,
[111918] = 546,
[111908] = 545,
[127481] = 539,
[89373] = 451,
[127475] = 535,
[127625] = 532,
[112460] = 531,
[64289] = 397,
[112468] = 529,
[112466] = 528,
[57275] = 217,
[50601] = 20,
[112464] = 526,
[57196] = 146,
[112462] = 523,
[112458] = 522,
[112444] = 521,
[112440] = 518,
[56963] = 73,
[56995] = 95,
[61119] = 251,
[112442] = 517,
[64252] = 362,
[64284] = 390,
[64316] = 414,
[57187] = 155,
[57219] = 47,
[57251] = 196,
[58306] = 262,
[58338] = 300,
[112450] = 516,
[64278] = 387,
[86643] = 438,
[59489] = 321,
[112430] = 502,
[126800] = 512,
[57119] = 167,
[45382] = 6,
[64305] = 404,
[57167] = 314,
[57215] = 44,
[112265] = 499,
[94405] = 458,
[50602] = 21,
[112457] = 515,
[50620] = 16,
[58317] = 269,
[126704] = 509,
[126696] = 507,
[86645] = 440,
[123781] = 504,
[56996] = 105,
[61120] = 252,
[124466] = 501,
[64253] = 363,
[64285] = 393,
[64317] = 412,
[57188] = 149,
[57220] = 48,
[57252] = 198,
[58307] = 287,
[58339] = 301,
[57120] = 168,
[57152] = 339,
[57268] = 223,
[59490] = 322,
[57264] = 219,
[48114] = 7,
[112266] = 497,
[64282] = 396,
[122015] = 494,
[86615] = 433,
[124460] = 492,
[57025] = 136,
[122030] = 489,
[50603] = 22,
[61177] = 254,
[64291] = 388,
[57153] = 344,
[124450] = 481,
[57265] = 210,
[58303] = 261,
[56965] = 351,
[56997] = 96,
[57029] = 129,
[59503] = 248,
[64254] = 364,
[64286] = 398,
[64318] = 395,
[57189] = 162,
[57221] = 49,
[57253] = 350,
[58308] = 264,
[58340] = 291,
[58299] = 258,
[96284] = 468,
[56994] = 99,
[59491] = 246,
[57026] = 137,
[58316] = 295,
[59495] = 327,
[57122] = 176,
[64274] = 381,
[57154] = 323,
[112264] = 500,
[57266] = 209,
[48116] = 8,
[50604] = 23,
[112461] = 530,
[101057] = 470,
[64275] = 394,
[57263] = 225,
[57027] = 128,
[95710] = 466,
[57123] = 170,
[56998] = 110,
[57030] = 130,
[94401] = 462,
[64255] = 365,
[64287] = 400,
[57158] = 309,
[57190] = 165,
[57222] = 50,
[57155] = 342,
[58309] = 495,
[58341] = 307,
[94402] = 461,
[57267] = 221,
[94403] = 460,
[58321] = 296,
[94404] = 459,
[94406] = 457,
[58565] = 243,
[94000] = 456,
[64273] = 384,
[57028] = 143,
[57124] = 179,
[64294] = 378,
[57156] = 326,
[50605] = 24,
[112463] = 525,
[57125] = 171,
[57157] = 313,
[57269] = 212,
[86375] = 428,
[52843] = 35,
[57126] = 182,
[56999] = 106,
[57031] = 131,
[92579] = 455,
[64256] = 366,
[64288] = 385,
[57159] = 337,
[57191] = 159,
[57223] = 51,
[64308] = 410,
[58310] = 263,
[58342] = 273,
[48248] = 34,
[57127] = 183,
[98398] = 469,
[59493] = 324,
[124444] = 475,
[57274] = 216,
[64277] = 375,
[64276] = 374,
[58481] = 240,
[59338] = 329,
[124448] = 479,
[57703] = 59,
[57163] = 312,
[50606] = 25,
[112465] = 527,
[58473] = 236,
[124452] = 483,
},
[25229] = {
[0] = {
	["checksum"] = 1361270885,
	["scandate"] = "03/05/13 19:16:39",
	["name"] = "Jewelcrafting",
	["patcnt"] = 863,
	["deadbitmask"] = "DAAIAAAAAEcAAAAAAAAAAAQABAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAAAAAAAAAAAAAAEAAA+",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 882,
},
[107606] = 765,
[107734] = 837,
[53963] = 296,
[101788] = 660,
[39705] = 173,
[39737] = 190,
[73336] = 503,
[73400] = 556,
[56201] = 369,
[66431] = 406,
[39961] = 197,
[107607] = 767,
[55402] = 345,
[107735] = 848,
[101789] = 661,
[73273] = 492,
[73337] = 504,
[73401] = 560,
[73465] = 566,
[66432] = 407,
[28948] = 80,
[107608] = 777,
[31058] = 115,
[53932] = 280,
[31090] = 103,
[31106] = 86,
[39706] = 174,
[39738] = 191,
[73338] = 505,
[73402] = 561,
[56202] = 370,
[66497] = 421,
[66561] = 432,
[107609] = 784,
[55403] = 346,
[107737] = 720,
[101791] = 663,
[73275] = 494,
[73339] = 506,
[73403] = 562,
[73467] = 571,
[25320] = 12,
[66434] = 408,
[66498] = 422,
[66562] = 433,
[107610] = 789,
[53869] = 252,
[107738] = 734,
[53933] = 281,
[53965] = 297,
[53997] = 322,
[39739] = 193,
[73340] = 507,
[73404] = 558,
[56203] = 371,
[66435] = 409,
[66499] = 423,
[39963] = 196,
[32866] = 148,
[55404] = 347,
[107739] = 749,
[101793] = 665,
[73277] = 496,
[73341] = 508,
[73405] = 563,
[73469] = 568,
[131593] = 859,
[28917] = 72,
[28933] = 76,
[26903] = 45,
[107612] = 807,
[53870] = 253,
[107740] = 766,
[53934] = 241,
[53966] = 298,
[53998] = 323,
[39740] = 195,
[32178] = 137,
[73406] = 559,
[73470] = 569,
[66501] = 424,
[32867] = 145,
[55405] = 348,
[101795] = 667,
[73279] = 498,
[73343] = 509,
[73407] = 555,
[25305] = 8,
[25321] = 13,
[66502] = 425,
[58954] = 395,
[53871] = 254,
[107742] = 778,
[101796] = 668,
[39741] = 192,
[73344] = 510,
[73408] = 557,
[56205] = 372,
[37855] = 164,
[66567] = 434,
[32868] = 149,
[58507] = 393,
[101797] = 669,
[38175] = 166,
[73281] = 500,
[73345] = 511,
[73409] = 554,
[73473] = 575,
[26872] = 29,
[28950] = 81,
[26920] = 57,
[107616] = 852,
[53872] = 255,
[31060] = 116,
[46775] = 223,
[53968] = 299,
[54000] = 324,
[39742] = 194,
[73346] = 512,
[56206] = 373,
[66441] = 411,
[66505] = 426,
[66569] = 436,
[32869] = 146,
[55407] = 338,
[107745] = 808,
[101735] = 611,
[101799] = 671,
[73347] = 513,
[73475] = 574,
[66442] = 412,
[66506] = 427,
[66570] = 437,
[42588] = 205,
[53873] = 256,
[107746] = 830,
[46776] = 224,
[54001] = 325,
[39711] = 176,
[73348] = 514,
[73476] = 573,
[66443] = 413,
[25610] = 18,
[66571] = 438,
[32870] = 147,
[101801] = 673,
[73349] = 515,
[28903] = 65,
[26873] = 30,
[66572] = 439,
[42589] = 206,
[53874] = 257,
[31061] = 117,
[46777] = 225,
[31109] = 88,
[73222] = 453,
[73350] = 516,
[56208] = 374,
[66445] = 414,
[32807] = 141,
[32871] = 150,
[56496] = 375,
[101803] = 675,
[73223] = 454,
[73351] = 517,
[25323] = 14,
[25339] = 11,
[66574] = 441,
[42558] = 204,
[53843] = 237,
[53875] = 258,
[46778] = 226,
[101740] = 612,
[54003] = 326,
[73224] = 455,
[73352] = 518,
[66447] = 416,
[32808] = 142,
[32872] = 152,
[56497] = 376,
[101741] = 613,
[73225] = 456,
[73353] = 519,
[26874] = 31,
[28936] = 77,
[26906] = 46,
[53844] = 238,
[53876] = 259,
[31062] = 118,
[46779] = 227,
[53972] = 300,
[73226] = 457,
[73354] = 520,
[32809] = 143,
[32873] = 153,
[107753] = 684,
[56498] = 377,
[56530] = 381,
[140060] = 875,
[73227] = 458,
[73355] = 521,
[59759] = 396,
[66450] = 418,
[40514] = 198,
[42592] = 210,
[53877] = 260,
[107754] = 688,
[53941] = 242,
[101744] = 616,
[54005] = 327,
[56083] = 357,
[73356] = 522,
[25612] = 19,
[66579] = 443,
[32874] = 151,
[56499] = 378,
[56531] = 382,
[73229] = 460,
[73357] = 523,
[28905] = 66,
[66452] = 419,
[28953] = 82,
[42593] = 208,
[31063] = 119,
[31079] = 131,
[53974] = 301,
[31111] = 94,
[73230] = 461,
[73358] = 524,
[66453] = 420,
[66581] = 444,
[107693] = 680,
[107757] = 713,
[56500] = 379,
[101747] = 619,
[73231] = 462,
[73359] = 525,
[66582] = 445,
[107630] = 723,
[53879] = 261,
[107758] = 715,
[53943] = 243,
[53975] = 302,
[56053] = 352,
[56085] = 359,
[73360] = 526,
[131759] = 865,
[25613] = 20,
[66583] = 446,
[107631] = 740,
[107695] = 722,
[107759] = 717,
[56501] = 380,
[101749] = 621,
[73233] = 464,
[73361] = 527,
[26876] = 33,
[66584] = 447,
[38503] = 167,
[53880] = 262,
[31064] = 120,
[31080] = 132,
[53976] = 303,
[31112] = 84,
[56086] = 362,
[73362] = 528,
[140050] = 876,
[107648] = 701,
[107707] = 711,
[107760] = 721,
[66585] = 448,
[107764] = 735,
[107633] = 762,
[34955] = 157,
[136269] = 869,
[107650] = 708,
[101751] = 623,
[131898] = 867,
[107663] = 827,
[131695] = 864,
[25278] = 2,
[131686] = 863,
[131691] = 862,
[131690] = 861,
[73399] = 551,
[130658] = 858,
[66586] = 449,
[130657] = 857,
[38504] = 168,
[107698] = 761,
[107762] = 724,
[53945] = 283,
[53977] = 304,
[56055] = 353,
[56087] = 360,
[130655] = 856,
[73364] = 529,
[130656] = 855,
[31067] = 123,
[107736] = 851,
[73620] = 584,
[107667] = 850,
[107641] = 764,
[107666] = 847,
[55384] = 329,
[107699] = 779,
[107763] = 732,
[53960] = 293,
[101753] = 625,
[107615] = 845,
[107639] = 844,
[107704] = 843,
[73365] = 530,
[106962] = 842,
[107614] = 841,
[41414] = 200,
[73621] = 583,
[131897] = 866,
[26909] = 49,
[26925] = 58,
[107636] = 810,
[53882] = 263,
[31065] = 121,
[31081] = 133,
[31097] = 98,
[31113] = 90,
[56088] = 361,
[101802] = 674,
[73366] = 531,
[122673] = 838,
[73494] = 586,
[122662] = 685,
[73622] = 582,
[107665] = 836,
[96256] = 601,
[107644] = 835,
[107637] = 821,
[107701] = 809,
[107765] = 745,
[107624] = 710,
[101755] = 627,
[73260] = 480,
[73239] = 466,
[107756] = 698,
[73367] = 532,
[107621] = 831,
[73495] = 585,
[41415] = 201,
[43493] = 211,
[107613] = 829,
[96257] = 600,
[56079] = 355,
[107638] = 840,
[53883] = 264,
[36524] = 160,
[107732] = 826,
[101756] = 628,
[54011] = 318,
[39721] = 182,
[66448] = 417,
[68253] = 452,
[26908] = 48,
[73496] = 587,
[122664] = 744,
[107627] = 681,
[25615] = 22,
[107620] = 822,
[107702] = 820,
[55386] = 330,
[107703] = 839,
[107767] = 797,
[101786] = 658,
[101757] = 629,
[107619] = 817,
[73241] = 468,
[46403] = 219,
[73369] = 534,
[107643] = 816,
[73497] = 588,
[122665] = 801,
[26878] = 34,
[107713] = 815,
[39466] = 169,
[26926] = 59,
[53852] = 244,
[31050] = 107,
[31066] = 122,
[31082] = 134,
[31098] = 95,
[54012] = 319,
[73242] = 469,
[101774] = 646,
[73370] = 535,
[122661] = 752,
[73498] = 592,
[122666] = 756,
[73626] = 579,
[66439] = 410,
[107661] = 811,
[73383] = 548,
[55387] = 331,
[34959] = 158,
[120045] = 679,
[107611] = 805,
[101759] = 631,
[122663] = 804,
[73243] = 470,
[121842] = 803,
[25280] = 4,
[107654] = 750,
[66338] = 451,
[122667] = 755,
[73627] = 578,
[122681] = 800,
[39467] = 170,
[107617] = 799,
[107642] = 783,
[53885] = 266,
[36526] = 162,
[53949] = 286,
[53981] = 307,
[107768] = 798,
[73244] = 471,
[107635] = 796,
[73372] = 537,
[107700] = 795,
[53946] = 284,
[122668] = 691,
[46803] = 228,
[73240] = 467,
[107659] = 791,
[107744] = 790,
[55388] = 332,
[34960] = 155,
[122669] = 788,
[107728] = 787,
[101761] = 633,
[107658] = 786,
[73245] = 472,
[46405] = 220,
[73373] = 538,
[107743] = 785,
[107712] = 782,
[41418] = 199,
[28925] = 74,
[46597] = 221,
[26911] = 51,
[26927] = 60,
[53854] = 245,
[31051] = 108,
[53918] = 272,
[31083] = 135,
[101762] = 634,
[54014] = 320,
[39724] = 181,
[101742] = 614,
[73374] = 539,
[107634] = 780,
[73502] = 591,
[122670] = 741,
[95755] = 598,
[107709] = 775,
[107626] = 774,
[107766] = 773,
[55389] = 349,
[34961] = 156,
[107727] = 772,
[107657] = 771,
[101763] = 635,
[107726] = 770,
[73247] = 474,
[107656] = 769,
[73375] = 540,
[98921] = 604,
[73503] = 590,
[122671] = 849,
[107723] = 747,
[101748] = 620,
[62941] = 398,
[107725] = 758,
[107646] = 686,
[107710] = 737,
[53919] = 273,
[53951] = 287,
[101764] = 636,
[107655] = 757,
[73248] = 475,
[73478] = 577,
[73376] = 541,
[39720] = 183,
[73504] = 596,
[122672] = 813,
[107724] = 751,
[25617] = 23,
[121841] = 802,
[31077] = 129,
[55390] = 333,
[107711] = 763,
[107653] = 746,
[107632] = 743,
[64725] = 400,
[107697] = 742,
[73249] = 476,
[107696] = 739,
[73377] = 542,
[107640] = 738,
[73505] = 595,
[41420] = 202,
[26880] = 35,
[26896] = 41,
[39470] = 171,
[26928] = 61,
[53856] = 247,
[31052] = 109,
[53920] = 274,
[53952] = 288,
[53984] = 308,
[73472] = 567,
[73250] = 477,
[136270] = 870,
[73378] = 543,
[42591] = 209,
[73506] = 594,
[122674] = 712,
[32801] = 140,
[107708] = 730,
[121843] = 703,
[107625] = 729,
[107649] = 704,
[58492] = 394,
[107722] = 728,
[107645] = 682,
[64726] = 401,
[31084] = 104,
[107651] = 725,
[136272] = 871,
[73379] = 544,
[107600] = 719,
[121844] = 718,
[122675] = 694,
[56084] = 358,
[53978] = 305,
[39471] = 172,
[136273] = 873,
[53857] = 246,
[107714] = 834,
[53921] = 275,
[107720] = 709,
[53985] = 309,
[54017] = 240,
[39727] = 186,
[136274] = 868,
[73380] = 545,
[107628] = 707,
[107694] = 706,
[122676] = 697,
[101771] = 643,
[25618] = 24,
[107718] = 702,
[136275] = 874,
[55392] = 334,
[107715] = 683,
[101792] = 664,
[107647] = 699,
[64727] = 402,
[106948] = 832,
[107706] = 696,
[107623] = 695,
[73381] = 546,
[107705] = 693,
[107622] = 692,
[122677] = 824,
[28927] = 75,
[26897] = 42,
[107598] = 689,
[107716] = 687,
[107652] = 727,
[31053] = 110,
[53922] = 276,
[53954] = 289,
[53986] = 310,
[106949] = 823,
[39728] = 185,
[31149] = 101,
[73382] = 547,
[106947] = 677,
[101804] = 676,
[122678] = 819,
[101800] = 672,
[101798] = 670,
[46122] = 216,
[101794] = 666,
[55393] = 335,
[107717] = 700,
[101790] = 662,
[26912] = 52,
[64728] = 403,
[106950] = 818,
[73274] = 493,
[101784] = 656,
[25283] = 5,
[73234] = 465,
[101782] = 654,
[122679] = 833,
[101780] = 652,
[31091] = 87,
[101778] = 650,
[28916] = 71,
[53859] = 248,
[53891] = 267,
[53923] = 277,
[53955] = 290,
[53987] = 311,
[54019] = 316,
[58143] = 385,
[73625] = 580,
[73384] = 549,
[56193] = 363,
[99544] = 605,
[122680] = 814,
[101768] = 640,
[25619] = 25,
[46123] = 218,
[101772] = 644,
[55394] = 336,
[107719] = 705,
[101770] = 642,
[101769] = 641,
[101773] = 645,
[101767] = 639,
[101766] = 638,
[101765] = 637,
[101760] = 632,
[101758] = 630,
[101754] = 626,
[28912] = 68,
[26882] = 37,
[28944] = 78,
[26914] = 53,
[101752] = 624,
[53860] = 249,
[31054] = 111,
[53924] = 278,
[101750] = 622,
[53988] = 312,
[106953] = 760,
[73258] = 478,
[101746] = 618,
[101745] = 617,
[56194] = 364,
[101743] = 615,
[122682] = 781,
[26887] = 40,
[99540] = 609,
[46124] = 214,
[66428] = 404,
[55395] = 337,
[107721] = 726,
[38068] = 165,
[73268] = 487,
[101775] = 647,
[106954] = 768,
[73259] = 479,
[96226] = 603,
[25284] = 6,
[96255] = 602,
[95754] = 599,
[122683] = 776,
[95756] = 597,
[31068] = 124,
[39715] = 178,
[73623] = 581,
[53861] = 250,
[53893] = 269,
[53925] = 279,
[53957] = 291,
[101776] = 648,
[106955] = 754,
[58145] = 387,
[73471] = 576,
[73464] = 572,
[56195] = 365,
[73474] = 570,
[122684] = 736,
[73466] = 565,
[25620] = 26,
[46125] = 217,
[73468] = 564,
[55396] = 339,
[99539] = 610,
[31078] = 130,
[131688] = 860,
[101777] = 649,
[106956] = 806,
[73371] = 536,
[73368] = 533,
[73266] = 485,
[26881] = 36,
[53980] = 306,
[122685] = 731,
[26883] = 38,
[53845] = 239,
[26915] = 54,
[53830] = 282,
[107660] = 793,
[53894] = 270,
[31071] = 126,
[53958] = 292,
[31103] = 97,
[106957] = 716,
[58146] = 388,
[39713] = 177,
[56081] = 356,
[56196] = 366,
[58141] = 383,
[47053] = 229,
[26875] = 32,
[39733] = 188,
[46126] = 213,
[56049] = 350,
[55397] = 340,
[99541] = 608,
[26907] = 47,
[66556] = 429,
[101779] = 651,
[106958] = 853,
[73263] = 482,
[31107] = 93,
[66446] = 415,
[39714] = 175,
[25317] = 9,
[58150] = 392,
[58142] = 384,
[53892] = 268,
[66573] = 440,
[53831] = 235,
[107662] = 825,
[99542] = 607,
[73272] = 491,
[73271] = 490,
[53991] = 313,
[25493] = 15,
[58147] = 389,
[73270] = 489,
[26910] = 50,
[56197] = 367,
[73520] = 589,
[47054] = 230,
[39731] = 184,
[25621] = 27,
[46127] = 215,
[107599] = 714,
[55398] = 341,
[99543] = 606,
[73264] = 483,
[73262] = 481,
[101781] = 653,
[106960] = 690,
[73265] = 484,
[66560] = 431,
[25490] = 16,
[42590] = 207,
[73521] = 593,
[28914] = 69,
[31076] = 128,
[26900] = 43,
[26916] = 55,
[53832] = 236,
[31092] = 100,
[31056] = 113,
[31072] = 127,
[31088] = 96,
[31104] = 89,
[106961] = 846,
[58148] = 390,
[31108] = 91,
[44794] = 212,
[34590] = 154,
[39716] = 179,
[47055] = 231,
[58144] = 386,
[31095] = 102,
[73246] = 473,
[107601] = 733,
[55399] = 342,
[107729] = 792,
[31085] = 85,
[36523] = 159,
[101783] = 655,
[63743] = 399,
[73267] = 486,
[39718] = 180,
[54009] = 328,
[73232] = 463,
[25318] = 10,
[41429] = 203,
[73228] = 459,
[66554] = 428,
[54023] = 317,
[107602] = 748,
[53865] = 251,
[107730] = 794,
[31101] = 92,
[53961] = 294,
[53993] = 314,
[39734] = 189,
[58149] = 391,
[32179] = 138,
[73396] = 550,
[56199] = 368,
[66576] = 442,
[47056] = 232,
[32259] = 139,
[25622] = 28,
[46601] = 222,
[36525] = 161,
[55400] = 343,
[107731] = 812,
[47280] = 233,
[66568] = 435,
[101785] = 657,
[26902] = 44,
[73269] = 488,
[31070] = 125,
[73397] = 552,
[53948] = 285,
[31102] = 99,
[28915] = 70,
[26885] = 39,
[28947] = 79,
[53996] = 321,
[107604] = 753,
[39736] = 187,
[31057] = 114,
[73276] = 495,
[53962] = 295,
[53994] = 315,
[53917] = 271,
[62242] = 397,
[73278] = 497,
[73398] = 553,
[31055] = 112,
[37818] = 163,
[66429] = 405,
[25498] = 17,
[66557] = 430,
[73280] = 499,
[107605] = 759,
[55401] = 344,
[107733] = 828,
[56056] = 354,
[56052] = 351,
[101787] = 659,
[31048] = 105,
[25255] = 3,
[73335] = 502,
[25287] = 7,
[31049] = 106,
[53884] = 265,
[28955] = 83,
[28910] = 67,
[28918] = 73,
},
[2550] = {
[0] = {
	["checksum"] = 3564983104,
	["scandate"] = "03/05/13 19:14:20",
	["name"] = "Cooking",
	["patcnt"] = 233,
	["deadbitmask"] = "JAEAAAAAEACAAAACAAEAAAAAAAAAAAAAAIEAAAAA8",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 246,
},
[33277] = 76,
[33293] = 87,
[88021] = 184,
[45549] = 121,
[43772] = 105,
[45565] = 117,
[15856] = 42,
[6415] = 19,
[6416] = 20,
[22480] = 67,
[6418] = 22,
[6419] = 23,
[36210] = 92,
[53056] = 111,
[88022] = 185,
[57423] = 127,
[9513] = 38,
[57439] = 143,
[62045] = 155,
[37836] = 93,
[33278] = 77,
[33286] = 80,
[15910] = 47,
[18245] = 58,
[43765] = 102,
[45558] = 131,
[45566] = 119,
[125078] = 225,
[7213] = 27,
[25704] = 72,
[58523] = 151,
[2548] = 240,
[64054] = 161,
[62050] = 158,
[57440] = 144,
[64358] = 162,
[2545] = 237,
[2544] = 236,
[2543] = 235,
[88004] = 170,
[3370] = 4,
[88005] = 171,
[33279] = 78,
[33287] = 81,
[33295] = 89,
[43758] = 100,
[3373] = 7,
[7751] = 28,
[7752] = 29,
[7753] = 30,
[7754] = 31,
[7755] = 32,
[3376] = 8,
[2795] = 232,
[3377] = 9,
[88006] = 173,
[6413] = 17,
[3372] = 6,
[8607] = 37,
[125121] = 228,
[45550] = 122,
[125080] = 226,
[88042] = 196,
[125067] = 224,
[45695] = 107,
[57433] = 137,
[57441] = 145,
[125117] = 223,
[124234] = 222,
[124233] = 221,
[6499] = 26,
[6500] = 25,
[6501] = 24,
[124232] = 220,
[58525] = 152,
[18238] = 52,
[18242] = 55,
[18246] = 59,
[45552] = 124,
[45560] = 112,
[45568] = 134,
[124231] = 219,
[124230] = 218,
[124229] = 217,
[124228] = 216,
[124227] = 215,
[124226] = 214,
[124225] = 213,
[124224] = 212,
[66034] = 164,
[24418] = 69,
[124223] = 211,
[46684] = 108,
[88028] = 188,
[3397] = 10,
[124029] = 210,
[28267] = 74,
[57434] = 138,
[3399] = 12,
[124032] = 209,
[21143] = 65,
[13028] = 106,
[104237] = 204,
[38867] = 95,
[8238] = 35,
[66035] = 165,
[105190] = 207,
[33289] = 83,
[21175] = 66,
[104297] = 205,
[45553] = 125,
[45561] = 113,
[15855] = 41,
[96133] = 203,
[105194] = 208,
[15861] = 43,
[15863] = 44,
[15865] = 45,
[42302] = 97,
[88047] = 200,
[88045] = 198,
[66036] = 166,
[24801] = 70,
[7827] = 33,
[7828] = 34,
[88030] = 189,
[88046] = 199,
[88044] = 197,
[88039] = 195,
[57435] = 139,
[57443] = 147,
[88037] = 194,
[62049] = 159,
[45564] = 116,
[6417] = 21,
[38868] = 94,
[65454] = 163,
[66037] = 167,
[58527] = 153,
[33290] = 84,
[18243] = 56,
[43761] = 101,
[15915] = 48,
[45562] = 114,
[45570] = 136,
[88031] = 190,
[88025] = 187,
[88024] = 186,
[88020] = 183,
[88019] = 182,
[3400] = 13,
[15933] = 49,
[15935] = 39,
[66038] = 168,
[88003] = 169,
[88015] = 178,
[88016] = 179,
[88014] = 177,
[88013] = 176,
[88012] = 175,
[88011] = 174,
[2538] = 1,
[20626] = 62,
[2539] = 231,
[21144] = 64,
[2540] = 2,
[45567] = 133,
[2541] = 233,
[58512] = 149,
[2542] = 234,
[58528] = 154,
[33291] = 85,
[88017] = 180,
[88033] = 191,
[45555] = 128,
[45563] = 115,
[45571] = 135,
[2546] = 238,
[62350] = 160,
[2547] = 239,
[125120] = 230,
[42296] = 96,
[45554] = 126,
[2549] = 241,
[8604] = 36,
[58521] = 150,
[58065] = 148,
[57442] = 146,
[88018] = 181,
[88034] = 172,
[57436] = 140,
[57421] = 120,
[45559] = 132,
[57437] = 141,
[6412] = 16,
[33296] = 90,
[62051] = 157,
[45557] = 130,
[43707] = 99,
[6414] = 18,
[33292] = 86,
[33276] = 75,
[33284] = 79,
[18240] = 54,
[18244] = 57,
[88035] = 192,
[45556] = 129,
[43779] = 103,
[22761] = 68,
[25659] = 71,
[45551] = 123,
[93741] = 202,
[125122] = 227,
[4094] = 15,
[42305] = 98,
[20916] = 63,
[18239] = 51,
[18241] = 53,
[15853] = 40,
[25954] = 73,
[46688] = 109,
[88036] = 193,
[45569] = 118,
[3398] = 11,
[45022] = 104,
[57438] = 142,
[3371] = 5,
[62044] = 156,
[125123] = 229,
[33294] = 88,
[33288] = 82,
[15906] = 46,
[18247] = 60,
},
[2018] = {
[0] = {
	["checksum"] = 3490777356,
	["scandate"] = "03/15/13 01:47:30",
	["name"] = "Blacksmithing",
	["patcnt"] = 754,
	["deadbitmask"] = "JAAAAAAgAAIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAAAAAAAAAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAQAAAQAAAAAAAAAAAAAACA22eAAAAAAAAAAAAA+",
	["version"] = "5.2.0",
	["build"] = "16709",
	["bitlen"] = 780,
},
[29571] = 248,
[29603] = 249,
[29619] = 260,
[27589] = 221,
[122568] = 619,
[122632] = 660,
[29699] = 290,
[55306] = 420,
[55370] = 434,
[56553] = 450,
[36125] = 316,
[67135] = 482,
[7221] = 54,
[76470] = 552,
[122569] = 597,
[122633] = 581,
[16640] = 123,
[16656] = 139,
[3115] = 4,
[3117] = 5,
[8368] = 60,
[20876] = 190,
[76471] = 553,
[55179] = 400,
[56234] = 442,
[138876] = 678,
[126854] = 669,
[55307] = 421,
[55371] = 427,
[24137] = 210,
[16992] = 179,
[138877] = 695,
[56554] = 451,
[36126] = 318,
[76472] = 554,
[122571] = 587,
[122635] = 600,
[126855] = 668,
[29556] = 241,
[76281] = 507,
[29620] = 261,
[27590] = 222,
[122572] = 594,
[29668] = 279,
[29700] = 291,
[55308] = 422,
[55372] = 428,
[8768] = 61,
[56555] = 452,
[55628] = 436,
[76474] = 555,
[122573] = 583,
[122637] = 605,
[16641] = 122,
[16657] = 142,
[8880] = 62,
[34529] = 300,
[9935] = 77,
[76283] = 508,
[9959] = 86,
[55181] = 401,
[9983] = 96,
[10007] = 106,
[10015] = 110,
[55373] = 429,
[24138] = 209,
[16993] = 180,
[56556] = 453,
[36128] = 317,
[3293] = 8,
[3295] = 10,
[36256] = 328,
[122639] = 627,
[140165] = 740,
[29557] = 242,
[3319] = 13,
[3321] = 15,
[3323] = 16,
[29621] = 262,
[55182] = 402,
[29669] = 280,
[3333] = 23,
[55310] = 425,
[55374] = 430,
[138889] = 681,
[36129] = 321,
[101925] = 575,
[36257] = 329,
[122641] = 638,
[16642] = 125,
[16658] = 143,
[11454] = 114,
[55055] = 394,
[55183] = 403,
[122642] = 649,
[7817] = 57,
[55311] = 424,
[55375] = 431,
[16978] = 169,
[16994] = 181,
[76288] = 512,
[36258] = 330,
[122643] = 650,
[29558] = 243,
[55056] = 395,
[29606] = 251,
[29622] = 275,
[55184] = 404,
[122644] = 651,
[55312] = 426,
[59436] = 456,
[55376] = 432,
[23628] = 197,
[36131] = 327,
[101929] = 577,
[27832] = 226,
[36259] = 331,
[3491] = 27,
[3493] = 29,
[3495] = 31,
[3497] = 33,
[3501] = 36,
[3503] = 38,
[3505] = 40,
[3507] = 42,
[9928] = 74,
[3511] = 44,
[3513] = 45,
[9952] = 83,
[9968] = 90,
[55185] = 405,
[122646] = 653,
[59405] = 454,
[55377] = 435,
[24140] = 212,
[16995] = 182,
[101931] = 578,
[36260] = 332,
[122647] = 654,
[43549] = 356,
[34534] = 306,
[55058] = 397,
[101932] = 579,
[55186] = 406,
[29671] = 281,
[59406] = 455,
[59438] = 457,
[40033] = 349,
[23629] = 198,
[36133] = 324,
[7222] = 55,
[36261] = 333,
[122649] = 661,
[16644] = 127,
[16660] = 140,
[36389] = 336,
[99440] = 561,
[16724] = 149,
[34535] = 301,
[55187] = 407,
[122650] = 662,
[46140] = 361,
[40034] = 346,
[16980] = 170,
[36134] = 325,
[36262] = 334,
[2660] = 1,
[2662] = 758,
[2664] = 761,
[36390] = 337,
[2668] = 767,
[2670] = 769,
[2672] = 770,
[2674] = 771,
[42688] = 355,
[29608] = 252,
[29656] = 272,
[29672] = 282,
[46141] = 358,
[40035] = 348,
[36135] = 323,
[52567] = 366,
[19666] = 184,
[36263] = 335,
[122653] = 665,
[16645] = 128,
[16661] = 183,
[36391] = 338,
[16725] = 150,
[16741] = 157,
[9921] = 71,
[34537] = 311,
[9937] = 78,
[67092] = 473,
[9961] = 87,
[122590] = 585,
[9985] = 97,
[9993] = 100,
[10001] = 103,
[10009] = 107,
[59441] = 459,
[16965] = 163,
[137766] = 744,
[67093] = 474,
[52568] = 363,
[122591] = 586,
[137767] = 747,
[36392] = 339,
[61008] = 461,
[15292] = 117,
[34538] = 299,
[67094] = 475,
[29657] = 273,
[137769] = 748,
[59442] = 460,
[137770] = 746,
[36137] = 320,
[52569] = 364,
[19667] = 185,
[122593] = 628,
[137771] = 749,
[16646] = 129,
[16662] = 145,
[61009] = 462,
[16726] = 151,
[16742] = 158,
[137772] = 696,
[67096] = 477,
[122594] = 644,
[137773] = 699,
[46144] = 359,
[137774] = 702,
[54552] = 371,
[52570] = 365,
[122595] = 608,
[137775] = 705,
[61010] = 463,
[24399] = 214,
[137776] = 708,
[34540] = 309,
[29610] = 254,
[76433] = 516,
[29642] = 266,
[29658] = 274,
[137777] = 709,
[23632] = 199,
[137778] = 712,
[76178] = 557,
[54553] = 372,
[15972] = 120,
[19668] = 186,
[122597] = 602,
[137779] = 713,
[16647] = 130,
[16663] = 146,
[38473] = 340,
[99452] = 563,
[137780] = 716,
[76179] = 490,
[9954] = 84,
[76435] = 518,
[9970] = 91,
[122598] = 609,
[9986] = 98,
[56280] = 443,
[16967] = 164,
[16983] = 171,
[137782] = 720,
[76180] = 491,
[54554] = 373,
[52572] = 368,
[122599] = 610,
[137783] = 697,
[99454] = 565,
[42662] = 354,
[15293] = 116,
[34542] = 305,
[29611] = 253,
[76437] = 520,
[29643] = 267,
[122600] = 645,
[137785] = 703,
[23633] = 200,
[137786] = 706,
[76182] = 493,
[54555] = 374,
[7223] = 53,
[19669] = 187,
[122601] = 629,
[137787] = 710,
[16648] = 131,
[16664] = 147,
[55834] = 439,
[3116] = 6,
[24912] = 216,
[16744] = 159,
[137788] = 711,
[34543] = 304,
[34607] = 313,
[43846] = 357,
[76439] = 522,
[122602] = 646,
[137789] = 714,
[16984] = 172,
[137790] = 715,
[54556] = 375,
[76440] = 523,
[122603] = 611,
[137791] = 718,
[55835] = 440,
[28461] = 230,
[29548] = 235,
[63188] = 470,
[114112] = 774,
[34608] = 314,
[113263] = 773,
[29628] = 263,
[2675] = 772,
[122604] = 618,
[137793] = 721,
[29692] = 283,
[2742] = 768,
[76461] = 543,
[2741] = 765,
[2666] = 764,
[2740] = 763,
[23650] = 205,
[137794] = 698,
[67134] = 481,
[9811] = 64,
[54557] = 376,
[9957] = 85,
[15973] = 121,
[2739] = 759,
[122605] = 603,
[137795] = 701,
[16649] = 132,
[16665] = 148,
[2738] = 757,
[38477] = 343,
[2737] = 756,
[24913] = 217,
[54941] = 379,
[99652] = 566,
[9931] = 75,
[9939] = 79,
[140846] = 755,
[140845] = 754,
[76443] = 526,
[140844] = 753,
[9979] = 94,
[9987] = 99,
[9995] = 101,
[10003] = 104,
[10011] = 108,
[140843] = 752,
[16969] = 165,
[16985] = 173,
[140842] = 751,
[99653] = 567,
[140841] = 750,
[137768] = 745,
[140168] = 743,
[3292] = 7,
[3294] = 9,
[3296] = 11,
[122607] = 613,
[140167] = 742,
[70562] = 484,
[140166] = 741,
[70568] = 488,
[28462] = 231,
[139763] = 738,
[139762] = 737,
[139761] = 736,
[29549] = 236,
[29565] = 244,
[3320] = 14,
[16659] = 144,
[29613] = 255,
[3326] = 19,
[29645] = 268,
[3330] = 21,
[139759] = 734,
[29693] = 284,
[3336] = 25,
[139757] = 733,
[34530] = 312,
[139755] = 731,
[9933] = 76,
[41132] = 350,
[99655] = 569,
[139753] = 729,
[139751] = 728,
[94732] = 559,
[29654] = 271,
[76446] = 529,
[139749] = 726,
[122609] = 630,
[36136] = 322,
[16650] = 133,
[139747] = 724,
[139746] = 723,
[38479] = 345,
[139745] = 722,
[24914] = 215,
[16746] = 161,
[99656] = 570,
[34547] = 303,
[137792] = 719,
[137781] = 717,
[137797] = 707,
[76447] = 530,
[137796] = 704,
[122610] = 648,
[137784] = 700,
[70565] = 486,
[138882] = 690,
[138888] = 687,
[138883] = 684,
[16970] = 166,
[16986] = 174,
[41133] = 351,
[99657] = 571,
[138646] = 677,
[131928] = 676,
[131929] = 675,
[126869] = 674,
[76448] = 531,
[3334] = 24,
[122611] = 614,
[55057] = 396,
[70566] = 489,
[126852] = 671,
[55839] = 441,
[28463] = 232,
[126853] = 670,
[122654] = 666,
[54944] = 380,
[29550] = 237,
[34548] = 307,
[122652] = 664,
[122651] = 663,
[29614] = 256,
[29630] = 265,
[52571] = 367,
[55200] = 408,
[122624] = 658,
[29694] = 285,
[122618] = 657,
[122616] = 656,
[122648] = 655,
[122645] = 652,
[23636] = 201,
[23652] = 206,
[122608] = 647,
[122592] = 643,
[76258] = 494,
[9820] = 68,
[67091] = 472,
[76450] = 533,
[122575] = 589,
[22757] = 196,
[3492] = 28,
[3494] = 30,
[3496] = 32,
[3498] = 34,
[3500] = 35,
[3502] = 37,
[3504] = 39,
[54945] = 381,
[3508] = 43,
[3324] = 17,
[62202] = 464,
[122620] = 639,
[9916] = 69,
[9964] = 88,
[9972] = 92,
[9980] = 95,
[3328] = 20,
[56400] = 445,
[27830] = 224,
[32284] = 295,
[41134] = 353,
[16971] = 167,
[16987] = 175,
[41135] = 352,
[122619] = 632,
[122640] = 631,
[76260] = 496,
[55641] = 437,
[76438] = 521,
[76452] = 535,
[122586] = 624,
[122615] = 607,
[122584] = 623,
[122578] = 622,
[122576] = 621,
[122570] = 620,
[122596] = 617,
[122612] = 616,
[122638] = 615,
[54946] = 382,
[29551] = 238,
[122606] = 612,
[76261] = 497,
[122614] = 606,
[29615] = 257,
[27585] = 218,
[122636] = 604,
[29663] = 277,
[122613] = 601,
[29695] = 286,
[55298] = 413,
[122585] = 599,
[122577] = 598,
[122588] = 596,
[23637] = 202,
[23653] = 207,
[122580] = 595,
[122587] = 593,
[76262] = 498,
[122583] = 592,
[122582] = 591,
[7224] = 52,
[122579] = 590,
[122617] = 641,
[122574] = 588,
[16652] = 135,
[122581] = 584,
[122589] = 582,
[101928] = 576,
[8366] = 58,
[16732] = 156,
[54947] = 383,
[54979] = 387,
[20872] = 189,
[76263] = 499,
[101924] = 574,
[99660] = 573,
[76455] = 538,
[99658] = 572,
[55203] = 410,
[99654] = 568,
[99453] = 564,
[99441] = 562,
[32285] = 296,
[99439] = 560,
[94718] = 558,
[16988] = 176,
[76469] = 551,
[29547] = 234,
[76467] = 549,
[76264] = 500,
[76466] = 548,
[76465] = 547,
[76456] = 539,
[16729] = 154,
[11643] = 111,
[2661] = 760,
[2663] = 2,
[2665] = 762,
[2667] = 766,
[34544] = 310,
[2671] = 50,
[2673] = 51,
[54948] = 384,
[54980] = 388,
[29568] = 246,
[76265] = 501,
[7408] = 56,
[29616] = 258,
[27586] = 220,
[29648] = 269,
[29664] = 278,
[76442] = 525,
[29696] = 287,
[55300] = 414,
[29728] = 292,
[76457] = 540,
[76454] = 537,
[23638] = 203,
[76453] = 536,
[76451] = 534,
[76449] = 532,
[9813] = 65,
[76445] = 528,
[76444] = 527,
[76458] = 541,
[76441] = 524,
[122621] = 625,
[76436] = 519,
[16653] = 136,
[76434] = 517,
[76293] = 515,
[76291] = 514,
[76289] = 513,
[54917] = 377,
[54949] = 385,
[54981] = 389,
[20873] = 191,
[76267] = 503,
[38475] = 341,
[6517] = 49,
[76459] = 542,
[76286] = 510,
[122622] = 633,
[76285] = 509,
[9997] = 102,
[10005] = 105,
[10013] = 109,
[63187] = 469,
[16973] = 168,
[28242] = 228,
[139748] = 725,
[76280] = 506,
[9818] = 67,
[67132] = 479,
[21161] = 194,
[29662] = 276,
[63191] = 467,
[76266] = 502,
[122623] = 634,
[55174] = 398,
[76259] = 495,
[20890] = 193,
[15294] = 118,
[29566] = 245,
[12260] = 112,
[54918] = 378,
[139750] = 727,
[15296] = 115,
[29569] = 247,
[76269] = 504,
[55204] = 411,
[12259] = 113,
[27587] = 223,
[29649] = 270,
[55206] = 412,
[70567] = 487,
[29697] = 288,
[55302] = 416,
[29729] = 293,
[70563] = 485,
[16991] = 178,
[23639] = 204,
[76287] = 511,
[34541] = 302,
[56549] = 446,
[76270] = 505,
[55013] = 390,
[54550] = 369,
[76462] = 544,
[67095] = 476,
[122625] = 642,
[63192] = 471,
[16654] = 137,
[55301] = 415,
[63189] = 468,
[16728] = 153,
[8367] = 59,
[63190] = 466,
[139754] = 730,
[9945] = 81,
[20874] = 188,
[21913] = 195,
[24141] = 213,
[55014] = 392,
[76463] = 545,
[54551] = 370,
[122626] = 659,
[36130] = 326,
[16960] = 162,
[55303] = 417,
[34533] = 297,
[34545] = 298,
[55015] = 393,
[16990] = 177,
[139756] = 732,
[63182] = 465,
[56550] = 447,
[36122] = 315,
[29553] = 240,
[56357] = 444,
[76464] = 546,
[16745] = 160,
[122627] = 635,
[15295] = 119,
[29552] = 239,
[46142] = 360,
[20897] = 192,
[38476] = 342,
[9920] = 72,
[59440] = 458,
[24139] = 211,
[28243] = 229,
[29629] = 264,
[54978] = 386,
[67130] = 483,
[16667] = 138,
[27588] = 219,
[29605] = 250,
[122628] = 640,
[55309] = 423,
[29698] = 289,
[55304] = 418,
[55177] = 399,
[76181] = 492,
[3337] = 26,
[16730] = 152,
[139760] = 735,
[29545] = 233,
[56551] = 448,
[9814] = 66,
[67131] = 478,
[55201] = 409,
[55656] = 438,
[3325] = 18,
[122629] = 626,
[16639] = 124,
[16655] = 141,
[3297] = 12,
[27829] = 225,
[6518] = 48,
[16643] = 126,
[16651] = 134,
[9918] = 70,
[9926] = 73,
[55017] = 391,
[9942] = 80,
[9950] = 82,
[16731] = 155,
[9966] = 89,
[9974] = 93,
[122630] = 636,
[3331] = 22,
[126850] = 673,
[55305] = 419,
[40036] = 347,
[55369] = 433,
[24136] = 208,
[28244] = 227,
[139764] = 739,
[38478] = 344,
[56552] = 449,
[36124] = 319,
[67133] = 480,
[34546] = 308,
[76468] = 550,
[29617] = 259,
[122631] = 637,
[3506] = 41,
[126851] = 672,
[3515] = 46,
},
[2108] = {
[0] = {
	["checksum"] = 3632299242,
	["scandate"] = "03/08/13 13:58:29",
	["name"] = "Leatherworking",
	["patcnt"] = 785,
	["deadbitmask"] = "hBAAAAAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAAAAAAIAAAAAAAAAAAAAAAAAAAAAAAAgBAAAAAAAAAAAAAAMAAAAAAAAAAAAgAAAAAAAAAAAAAAAAAAw",
	["version"] = "5.2.0",
	["build"] = "16669",
	["bitlen"] = 798,
},
[60996] = 467,
[7133] = 43,
[35549] = 279,
[7149] = 46,
[7153] = 48,
[78451] = 543,
[4096] = 35,
[137849] = 711,
[60613] = 394,
[23705] = 189,
[78388] = 513,
[78452] = 544,
[124551] = 789,
[124615] = 650,
[137851] = 730,
[36349] = 313,
[60997] = 466,
[137852] = 731,
[22922] = 181,
[50959] = 397,
[67136] = 491,
[78453] = 545,
[124552] = 790,
[124616] = 634,
[137853] = 754,
[10518] = 84,
[46132] = 351,
[24121] = 200,
[10542] = 90,
[10550] = 96,
[10558] = 101,
[10566] = 105,
[10574] = 109,
[19102] = 162,
[26279] = 211,
[78454] = 546,
[124553] = 791,
[32465] = 230,
[32481] = 242,
[10630] = 98,
[2152] = 2,
[60998] = 465,
[2160] = 772,
[2162] = 774,
[2164] = 776,
[137856] = 763,
[2168] = 780,
[50960] = 400,
[67138] = 496,
[78455] = 547,
[124554] = 792,
[124618] = 642,
[137857] = 736,
[46133] = 346,
[137858] = 688,
[23706] = 191,
[60711] = 431,
[60743] = 449,
[51568] = 375,
[124619] = 677,
[137859] = 698,
[36351] = 314,
[60999] = 470,
[137860] = 708,
[35584] = 299,
[50961] = 399,
[67140] = 494,
[78457] = 549,
[124620] = 678,
[137861] = 721,
[46134] = 347,
[24122] = 199,
[19055] = 123,
[19071] = 135,
[19087] = 152,
[19103] = 168,
[67141] = 493,
[9064] = 56,
[9072] = 60,
[32466] = 231,
[32482] = 243,
[32498] = 254,
[36352] = 315,
[61000] = 468,
[137864] = 759,
[35585] = 306,
[50962] = 353,
[67142] = 492,
[78459] = 551,
[9208] = 75,
[137865] = 766,
[39997] = 321,
[137866] = 767,
[60649] = 415,
[6702] = 38,
[78396] = 514,
[78460] = 552,
[51570] = 373,
[124623] = 681,
[137867] = 738,
[36353] = 316,
[100583] = 592,
[35554] = 281,
[50963] = 358,
[78461] = 553,
[10487] = 77,
[137869] = 702,
[10511] = 82,
[46136] = 350,
[24123] = 198,
[19072] = 136,
[19088] = 153,
[19104] = 166,
[78398] = 515,
[60746] = 450,
[51571] = 364,
[32467] = 232,
[32499] = 255,
[10647] = 111,
[61002] = 469,
[35555] = 280,
[35587] = 304,
[50964] = 411,
[78399] = 516,
[78463] = 555,
[124626] = 668,
[137873] = 693,
[46137] = 344,
[100586] = 591,
[137874] = 703,
[60651] = 416,
[67083] = 489,
[60715] = 433,
[60747] = 451,
[51572] = 372,
[124627] = 614,
[137875] = 713,
[36355] = 317,
[137876] = 726,
[35588] = 305,
[50965] = 371,
[124564] = 786,
[69386] = 499,
[137877] = 735,
[46138] = 345,
[24124] = 196,
[19073] = 137,
[19089] = 151,
[67085] = 487,
[60716] = 434,
[9065] = 57,
[124565] = 787,
[32468] = 233,
[32500] = 256,
[28472] = 220,
[9145] = 62,
[35525] = 264,
[35557] = 282,
[35589] = 303,
[50966] = 410,
[78467] = 557,
[9201] = 71,
[69388] = 500,
[137881] = 714,
[46139] = 349,
[137882] = 727,
[67087] = 485,
[101933] = 594,
[60749] = 453,
[124567] = 611,
[8322] = 53,
[36357] = 318,
[140185] = 743,
[35526] = 263,
[35558] = 284,
[35590] = 301,
[50967] = 370,
[78405] = 517,
[78469] = 559,
[5244] = 36,
[10520] = 85,
[40002] = 323,
[24125] = 197,
[10544] = 91,
[10552] = 97,
[10560] = 102,
[10568] = 106,
[19090] = 154,
[19106] = 167,
[60718] = 435,
[60750] = 454,
[124569] = 613,
[32469] = 234,
[32485] = 244,
[32501] = 257,
[36358] = 319,
[28473] = 219,
[35527] = 262,
[35559] = 283,
[50936] = 352,
[78407] = 519,
[78471] = 561,
[40003] = 326,
[99443] = 581,
[60655] = 418,
[23710] = 195,
[101937] = 598,
[60751] = 455,
[124571] = 629,
[124635] = 626,
[36359] = 320,
[22815] = 179,
[3759] = 9,
[3761] = 11,
[35528] = 266,
[3765] = 15,
[22927] = 184,
[3769] = 19,
[3771] = 21,
[3773] = 23,
[3775] = 25,
[3777] = 27,
[3779] = 29,
[40004] = 327,
[99445] = 582,
[124125] = 605,
[19059] = 124,
[60624] = 403,
[19091] = 159,
[19107] = 165,
[60720] = 436,
[57683] = 367,
[32454] = 221,
[32470] = 235,
[32502] = 258,
[3817] = 31,
[28474] = 218,
[9146] = 63,
[35529] = 267,
[35561] = 287,
[50938] = 388,
[50970] = 412,
[78411] = 521,
[78475] = 564,
[9202] = 72,
[124638] = 669,
[40005] = 325,
[99447] = 584,
[24654] = 202,
[124127] = 607,
[41156] = 329,
[6703] = 40,
[60721] = 437,
[78476] = 565,
[124575] = 624,
[124639] = 670,
[24846] = 203,
[124128] = 608,
[35530] = 261,
[35562] = 286,
[22928] = 185,
[50971] = 413,
[78477] = 566,
[124576] = 616,
[124640] = 671,
[62448] = 473,
[10529] = 87,
[28219] = 217,
[124129] = 609,
[41157] = 332,
[36074] = 307,
[60658] = 419,
[60754] = 457,
[32455] = 222,
[32471] = 236,
[32487] = 245,
[32503] = 259,
[35531] = 265,
[35563] = 292,
[50940] = 390,
[78415] = 522,
[78479] = 568,
[124578] = 622,
[124642] = 673,
[7954] = 52,
[24655] = 201,
[41158] = 334,
[36075] = 309,
[60723] = 438,
[60755] = 458,
[124579] = 631,
[124643] = 674,
[24847] = 204,
[35532] = 270,
[35564] = 288,
[50941] = 386,
[78481] = 570,
[124580] = 628,
[124644] = 675,
[28220] = 216,
[19061] = 126,
[36076] = 308,
[19093] = 158,
[9059] = 55,
[60756] = 459,
[32456] = 223,
[32472] = 237,
[32488] = 247,
[70554] = 501,
[7135] = 44,
[35533] = 269,
[7147] = 45,
[7151] = 47,
[78419] = 524,
[9195] = 67,
[124582] = 623,
[70555] = 502,
[99455] = 585,
[41160] = 335,
[60629] = 405,
[60725] = 439,
[60757] = 460,
[124583] = 625,
[70556] = 503,
[52733] = 365,
[99456] = 586,
[35534] = 268,
[50943] = 356,
[78485] = 574,
[10482] = 76,
[10490] = 78,
[70557] = 504,
[85007] = 782,
[28221] = 215,
[10546] = 92,
[10554] = 99,
[41161] = 328,
[10570] = 107,
[19094] = 155,
[60758] = 461,
[32457] = 224,
[32473] = 238,
[2149] = 1,
[70558] = 505,
[2153] = 770,
[10650] = 112,
[2159] = 3,
[2161] = 773,
[2163] = 775,
[35535] = 273,
[35567] = 285,
[50944] = 360,
[78423] = 526,
[78487] = 576,
[124586] = 619,
[70559] = 506,
[85009] = 784,
[124563] = 795,
[41162] = 333,
[60631] = 407,
[124561] = 794,
[124559] = 793,
[44359] = 338,
[60759] = 462,
[124587] = 662,
[124566] = 788,
[85008] = 783,
[70560] = 507,
[24849] = 206,
[85010] = 785,
[2166] = 781,
[2169] = 779,
[2167] = 778,
[2165] = 777,
[20853] = 172,
[35568] = 294,
[50945] = 361,
[2158] = 771,
[137842] = 769,
[78489] = 578,
[124588] = 655,
[10562] = 103,
[63196] = 476,
[70561] = 508,
[20855] = 174,
[137855] = 762,
[137824] = 761,
[28222] = 213,
[124577] = 621,
[19047] = 114,
[41163] = 330,
[19079] = 143,
[19095] = 157,
[137863] = 758,
[60728] = 441,
[57691] = 368,
[32458] = 225,
[23709] = 194,
[32490] = 248,
[137831] = 756,
[137854] = 755,
[137823] = 753,
[124609] = 638,
[138596] = 751,
[138594] = 750,
[9148] = 65,
[35537] = 271,
[138592] = 749,
[50946] = 363,
[138590] = 748,
[78427] = 528,
[9196] = 68,
[124590] = 643,
[138595] = 747,
[78416] = 523,
[3818] = 32,
[138589] = 744,
[140041] = 742,
[140040] = 741,
[137878] = 740,
[137872] = 739,
[64661] = 482,
[41164] = 331,
[19063] = 128,
[60665] = 421,
[6704] = 41,
[60729] = 442,
[60761] = 463,
[124591] = 651,
[137862] = 734,
[51569] = 374,
[137830] = 732,
[24850] = 207,
[137822] = 729,
[137814] = 728,
[137871] = 725,
[137850] = 724,
[60697] = 425,
[20854] = 173,
[42731] = 337,
[50947] = 362,
[63195] = 475,
[137829] = 720,
[78482] = 571,
[124592] = 635,
[55199] = 366,
[10499] = 79,
[10507] = 80,
[50958] = 401,
[137828] = 717,
[10531] = 88,
[28223] = 214,
[78490] = 579,
[19048] = 116,
[19064] = 129,
[19080] = 144,
[60666] = 422,
[137812] = 715,
[60730] = 443,
[137870] = 712,
[124593] = 644,
[10619] = 93,
[35582] = 298,
[24848] = 205,
[19066] = 131,
[101935] = 596,
[124641] = 672,
[137880] = 704,
[137848] = 701,
[137839] = 700,
[35539] = 275,
[36078] = 311,
[50948] = 359,
[137826] = 697,
[137818] = 696,
[124584] = 615,
[124594] = 645,
[44970] = 340,
[137809] = 685,
[137879] = 694,
[137868] = 692,
[137847] = 691,
[7955] = 50,
[137838] = 690,
[137833] = 689,
[78438] = 534,
[137810] = 695,
[131865] = 684,
[124624] = 682,
[124622] = 680,
[60731] = 444,
[124621] = 679,
[124595] = 664,
[124645] = 676,
[137811] = 705,
[124625] = 667,
[24851] = 208,
[19050] = 118,
[124614] = 640,
[124589] = 663,
[124613] = 661,
[3768] = 18,
[35540] = 276,
[35572] = 290,
[50949] = 354,
[124605] = 659,
[78433] = 531,
[124637] = 658,
[124596] = 656,
[124604] = 657,
[137813] = 718,
[124636] = 653,
[101939] = 599,
[32497] = 253,
[40006] = 324,
[28224] = 212,
[124601] = 647,
[19049] = 117,
[19065] = 130,
[19081] = 145,
[19097] = 156,
[124585] = 618,
[60732] = 445,
[124617] = 641,
[124597] = 665,
[60627] = 404,
[137815] = 752,
[124606] = 637,
[78484] = 573,
[124608] = 633,
[124581] = 632,
[124573] = 630,
[124572] = 627,
[9149] = 66,
[137816] = 760,
[35573] = 289,
[50950] = 377,
[124574] = 620,
[7156] = 49,
[9197] = 69,
[124598] = 646,
[124628] = 617,
[137817] = 686,
[124568] = 612,
[44770] = 339,
[45100] = 342,
[124126] = 606,
[124124] = 604,
[99535] = 590,
[101941] = 601,
[60605] = 385,
[60637] = 408,
[60669] = 423,
[20648] = 169,
[78436] = 532,
[101940] = 600,
[124599] = 652,
[101936] = 597,
[137819] = 706,
[101934] = 595,
[101599] = 593,
[99446] = 583,
[99458] = 588,
[99457] = 587,
[99536] = 589,
[84950] = 580,
[137820] = 716,
[35574] = 291,
[50951] = 376,
[78488] = 577,
[21943] = 175,
[78486] = 575,
[124600] = 636,
[78483] = 572,
[137821] = 719,
[78480] = 569,
[10516] = 83,
[78478] = 567,
[78474] = 563,
[78473] = 562,
[10548] = 95,
[10556] = 100,
[10564] = 104,
[10572] = 108,
[23190] = 186,
[60702] = 426,
[60734] = 446,
[78470] = 560,
[32461] = 226,
[78468] = 558,
[32493] = 249,
[78464] = 556,
[78462] = 554,
[78458] = 550,
[78456] = 548,
[44953] = 341,
[138591] = 745,
[3766] = 16,
[35543] = 277,
[35575] = 297,
[50952] = 378,
[35560] = 293,
[78439] = 535,
[23707] = 192,
[124602] = 648,
[78444] = 536,
[137825] = 687,
[78437] = 533,
[78432] = 530,
[78428] = 529,
[78424] = 527,
[78420] = 525,
[138593] = 746,
[78410] = 520,
[60607] = 391,
[78406] = 518,
[60671] = 424,
[60703] = 427,
[22711] = 177,
[22727] = 178,
[124603] = 666,
[19058] = 115,
[137827] = 707,
[19074] = 138,
[24703] = 210,
[19098] = 164,
[3756] = 8,
[9058] = 54,
[3760] = 10,
[3762] = 12,
[35544] = 278,
[35576] = 295,
[50953] = 379,
[3770] = 20,
[3772] = 22,
[3774] = 24,
[3776] = 26,
[3778] = 28,
[3780] = 33,
[50939] = 387,
[63194] = 474,
[7126] = 42,
[9074] = 61,
[60712] = 432,
[36079] = 310,
[19051] = 119,
[60608] = 392,
[19083] = 150,
[35591] = 302,
[60704] = 428,
[22921] = 180,
[9070] = 59,
[32462] = 227,
[32478] = 239,
[32494] = 250,
[78380] = 512,
[3816] = 30,
[42546] = 336,
[40001] = 322,
[22923] = 182,
[60652] = 417,
[23399] = 187,
[137832] = 764,
[35577] = 296,
[50954] = 380,
[78379] = 511,
[9207] = 74,
[9198] = 70,
[9206] = 73,
[67143] = 498,
[6661] = 37,
[67137] = 497,
[67139] = 495,
[67082] = 490,
[19067] = 132,
[19075] = 139,
[67084] = 488,
[9068] = 58,
[137834] = 699,
[46135] = 348,
[23703] = 188,
[6705] = 39,
[60737] = 448,
[32489] = 246,
[124607] = 649,
[60640] = 409,
[137835] = 709,
[67080] = 483,
[63197] = 481,
[63200] = 480,
[63199] = 479,
[63198] = 478,
[35536] = 272,
[19082] = 149,
[137836] = 722,
[62176] = 471,
[50955] = 355,
[35580] = 300,
[78445] = 537,
[50942] = 389,
[2881] = 4,
[60760] = 464,
[137837] = 768,
[10509] = 81,
[19076] = 140,
[10525] = 86,
[10533] = 89,
[19060] = 125,
[19092] = 160,
[19052] = 120,
[19068] = 133,
[19084] = 147,
[19100] = 161,
[60706] = 430,
[78446] = 538,
[20649] = 170,
[32463] = 228,
[32479] = 240,
[32495] = 251,
[10632] = 110,
[60752] = 456,
[9147] = 64,
[60660] = 420,
[60748] = 452,
[60735] = 447,
[36077] = 312,
[137840] = 710,
[62177] = 472,
[50956] = 398,
[60727] = 440,
[78447] = 539,
[7953] = 51,
[124610] = 639,
[57690] = 369,
[137841] = 723,
[19077] = 141,
[67086] = 486,
[45117] = 343,
[23708] = 193,
[20650] = 171,
[3753] = 7,
[3763] = 13,
[60611] = 393,
[60643] = 414,
[23704] = 190,
[3764] = 14,
[78448] = 540,
[3767] = 17,
[124611] = 660,
[22926] = 183,
[137843] = 733,
[67081] = 484,
[60630] = 406,
[19054] = 122,
[19062] = 127,
[19070] = 134,
[19078] = 142,
[19086] = 148,
[137844] = 757,
[63201] = 477,
[50957] = 396,
[10621] = 94,
[78449] = 541,
[60622] = 402,
[124612] = 654,
[60620] = 395,
[137845] = 765,
[4097] = 34,
[60705] = 429,
[60604] = 384,
[60601] = 383,
[60600] = 382,
[60599] = 381,
[19053] = 121,
[137846] = 737,
[19085] = 146,
[19101] = 163,
[24940] = 209,
[78450] = 542,
[124549] = 610,
[32464] = 229,
[32480] = 241,
[32496] = 252,
[35538] = 274,
[22331] = 176,
},
[4036] = {
[15633] = 104,
[23066] = 130,
[32814] = 211,
[46116] = 240,
[12587] = 61,
[12591] = 64,
[12595] = 66,
[12599] = 68,
[12603] = 69,
[12607] = 70,
[131256] = 381,
[30308] = 191,
[30316] = 172,
[30332] = 177,
[30348] = 184,
[84408] = 323,
[131258] = 382,
[22795] = 128,
[84409] = 322,
[26420] = 153,
[26428] = 161,
[19793] = 111,
[30548] = 194,
[19825] = 121,
[19833] = 122,
[56481] = 277,
[12755] = 87,
[12759] = 89,
[84410] = 321,
[41311] = 219,
[82175] = 329,
[55252] = 248,
[23067] = 132,
[84411] = 320,
[109099] = 371,
[30309] = 192,
[30317] = 173,
[30325] = 175,
[56514] = 268,
[30341] = 180,
[30349] = 185,
[12895] = 91,
[12899] = 93,
[12903] = 96,
[12907] = 100,
[40274] = 217,
[41312] = 220,
[67326] = 293,
[82177] = 328,
[60874] = 285,
[39971] = 215,
[26421] = 154,
[61481] = 287,
[19794] = 112,
[8895] = 54,
[44155] = 229,
[30549] = 195,
[30565] = 203,
[56483] = 279,
[54998] = 251,
[23507] = 146,
[67839] = 296,
[23068] = 131,
[84415] = 317,
[12584] = 58,
[36954] = 212,
[139192] = 386,
[12616] = 73,
[12620] = 77,
[12624] = 79,
[30334] = 178,
[30342] = 181,
[84416] = 316,
[63750] = 291,
[41314] = 221,
[127117] = 361,
[22797] = 129,
[15255] = 103,
[131211] = 373,
[39973] = 216,
[12716] = 82,
[36955] = 213,
[19795] = 115,
[44157] = 230,
[19819] = 118,
[30558] = 199,
[30566] = 204,
[30574] = 209,
[139197] = 387,
[12760] = 85,
[55016] = 255,
[131213] = 375,
[84418] = 314,
[41315] = 222,
[7430] = 50,
[127119] = 351,
[23069] = 133,
[23077] = 136,
[46106] = 242,
[9271] = 56,
[46697] = 243,
[131216] = 378,
[30303] = 186,
[30311] = 167,
[56486] = 281,
[30343] = 182,
[131217] = 379,
[6458] = 49,
[12908] = 101,
[41316] = 223,
[131218] = 380,
[127121] = 354,
[39895] = 214,
[46107] = 235,
[26423] = 156,
[19788] = 107,
[19796] = 113,
[30551] = 196,
[56471] = 262,
[30575] = 210,
[55002] = 253,
[41317] = 224,
[127123] = 368,
[23070] = 134,
[23078] = 137,
[46108] = 238,
[12585] = 59,
[12589] = 63,
[12597] = 67,
[30304] = 187,
[30312] = 168,
[139176] = 388,
[30344] = 183,
[139196] = 385,
[131563] = 384,
[84424] = 330,
[131353] = 383,
[63770] = 292,
[131215] = 377,
[41318] = 225,
[131214] = 376,
[131212] = 374,
[127132] = 372,
[56480] = 276,
[127122] = 369,
[127130] = 367,
[127116] = 366,
[127135] = 365,
[127115] = 364,
[127137] = 363,
[24356] = 147,
[46109] = 234,
[26416] = 150,
[26424] = 157,
[127124] = 362,
[127114] = 360,
[13240] = 102,
[127128] = 359,
[30552] = 197,
[30560] = 200,
[30568] = 205,
[127134] = 358,
[127113] = 357,
[12614] = 71,
[108789] = 343,
[127138] = 353,
[127120] = 352,
[84428] = 309,
[127136] = 349,
[23486] = 145,
[127118] = 348,
[41319] = 226,
[128261] = 347,
[128260] = 346,
[128262] = 345,
[109077] = 344,
[127127] = 355,
[100587] = 336,
[126731] = 342,
[126392] = 341,
[56469] = 273,
[23071] = 135,
[23079] = 138,
[46110] = 239,
[95705] = 335,
[95707] = 334,
[94748] = 332,
[95703] = 331,
[82180] = 327,
[56461] = 258,
[84403] = 325,
[30305] = 188,
[30313] = 169,
[23096] = 142,
[30329] = 176,
[30337] = 179,
[84412] = 319,
[84413] = 318,
[12897] = 92,
[22704] = 126,
[12905] = 98,
[84417] = 315,
[84420] = 313,
[41320] = 227,
[84421] = 312,
[84425] = 311,
[84427] = 310,
[8334] = 52,
[127129] = 350,
[84429] = 308,
[81714] = 303,
[60866] = 284,
[62271] = 290,
[84431] = 306,
[24357] = 148,
[46111] = 232,
[26417] = 151,
[26425] = 158,
[19790] = 108,
[84432] = 305,
[3955] = 32,
[19814] = 114,
[81720] = 301,
[19830] = 120,
[30569] = 206,
[81716] = 300,
[81715] = 302,
[30314] = 170,
[81725] = 297,
[68067] = 295,
[67920] = 294,
[84430] = 307,
[61483] = 289,
[61482] = 288,
[61471] = 286,
[41321] = 228,
[56478] = 274,
[56487] = 282,
[56484] = 280,
[19791] = 110,
[127131] = 370,
[56349] = 249,
[15628] = 105,
[60867] = 283,
[100687] = 337,
[3918] = 3,
[23080] = 139,
[46112] = 236,
[12586] = 60,
[12590] = 62,
[3923] = 6,
[56477] = 272,
[3925] = 7,
[56476] = 271,
[19567] = 106,
[3928] = 10,
[12618] = 75,
[12622] = 78,
[3931] = 12,
[3932] = 13,
[3933] = 14,
[3934] = 15,
[56462] = 270,
[3936] = 16,
[3937] = 17,
[3938] = 18,
[3939] = 20,
[3940] = 21,
[3941] = 22,
[3942] = 23,
[56473] = 269,
[3944] = 24,
[3945] = 25,
[3946] = 26,
[22793] = 127,
[54736] = 250,
[3949] = 27,
[3950] = 28,
[0] = {
	["checksum"] = 2492871721,
	["scandate"] = "03/05/13 19:14:57",
	["name"] = "Engineering",
	["patcnt"] = 371,
	["deadbitmask"] = "HAAAAAAAAAAAAEAQCAAAYAAAAAAIAAAAAIQAAAAAwAAAAAAAAAQAAAAIcAAAAAAAg",
	["version"] = "5.2.0",
	["build"] = "16650",
	["bitlen"] = 390,
},
[3952] = 29,
[3953] = 30,
[12718] = 84,
[12722] = 86,
[3956] = 33,
[3957] = 34,
[3958] = 35,
[3959] = 36,
[3960] = 37,
[3961] = 38,
[3962] = 39,
[12754] = 88,
[12758] = 90,
[3965] = 42,
[3966] = 43,
[3967] = 44,
[3968] = 45,
[3969] = 46,
[56472] = 267,
[3971] = 47,
[3972] = 48,
[3973] = 9,
[56468] = 265,
[56470] = 266,
[56467] = 264,
[3977] = 8,
[3978] = 19,
[3979] = 41,
[56466] = 263,
[30556] = 198,
[54793] = 254,
[23081] = 140,
[46114] = 237,
[8243] = 51,
[9269] = 55,
[9273] = 57,
[56465] = 261,
[23129] = 143,
[56463] = 260,
[56464] = 259,
[30307] = 190,
[30315] = 171,
[82200] = 326,
[56459] = 257,
[56460] = 256,
[54999] = 252,
[23082] = 141,
[56574] = 278,
[28327] = 164,
[12906] = 99,
[19799] = 117,
[12615] = 72,
[12617] = 74,
[12619] = 76,
[19831] = 119,
[54353] = 247,
[30306] = 189,
[8339] = 53,
[30310] = 166,
[81722] = 298,
[30318] = 174,
[46113] = 241,
[12902] = 95,
[26011] = 149,
[46115] = 233,
[3919] = 4,
[26427] = 160,
[19792] = 109,
[26443] = 163,
[3922] = 5,
[30547] = 193,
[53281] = 246,
[30563] = 202,
[56479] = 275,
[41307] = 218,
[30570] = 207,
[12715] = 81,
[12717] = 83,
[26442] = 162,
[84406] = 324,
[21940] = 125,
[19815] = 116,
[23489] = 144,
[26426] = 159,
[44391] = 231,
[26422] = 155,
[3929] = 11,
[12594] = 65,
[26418] = 152,
[127139] = 356,
[3954] = 31,
[81724] = 299,
[3963] = 40,
},
---------------------------------------------------------------------------------------
}
